#
# spec file for package check_mk
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define         nnmmsg logger -t %{name}/rpm
%define         __debug_install_post   %{nil}
Name:           check_mk
Version:        1.2.8p26
Release:        1.1
Summary:        Nagios-plugin for retrieving data
License:        GPL-2.0+
Group:          System/Monitoring
Url:            https://mathias-kettner.de/checkmk_index.html
Source0:        https://mathias-kettner.de/download/%{name}-%{version}.tar.gz
Source1:        check_mk-rpmlintrc
Source2:        check_mk-logwatch.cfg
Source3:        check_mk-README.SUSE
Source4:        zzz_check_mk.conf
Source5:        permissions.check_mk
Source6:        permissions.mkeventd
Source7:        check_mk-mysql.cfg
Source8:        check_mk-livestatus-README.SUSE
Source9:        check_mk.service
Source10:       check_mk.socket
Source11:       check_mk-service.fw2
Source12:       check_mk-systemd-socket-activation.README.SUSE
# Taken from 1.2.4p5
Source13:       waitmax.c
Patch1:         setup.sh.patch
BuildRequires:  dos2unix
BuildRequires:  gcc-c++
%if %{?suse_version} <= 1200
BuildRequires:  gcc48 gcc48-c++
#!BuildIgnore:  libgcc43 libgomp43 libgcc_s1-32bit
#BuildRequires:  libgomp48
#BuildRequires:  libgcc48
%endif
BuildRequires:  nagios-rpm-macros
# Avoid unneeded dependencies generated because of the checks
AutoReqProv:    off
# Require needed stuff manually instead
Requires:       bash
Requires:       expect
Requires:       python
Requires:       php
Requires:       mk-livestatus
Requires(pre):  /bin/logger
Requires(pre):  coreutils
Requires(pre):  permissions
Requires(pre):  sed
Requires(pre):  xinetd
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
BuildRequires:  apache2-devel
# unzip is needed for /usr/lib/rpm/brp-check-bytecode-version
BuildRequires:  unzip
%if 0%{?suse_version} != 1110 && 0%{?suse_version} != 1315 && 0%{?suse_version} < 1330
# diet is needed for eventd
BuildRequires:  dietlibc
%endif
%endif
%if 0%{?fedora_version} ||  0%{?rhel_version} || 0%{?centos_version}
BuildRequires:  httpd-devel
%endif
%if 0%{?mandriva_version}
BuildRequires:  apache-devel
%endif
%if 0%{?suse_version} > 1030
BuildRequires:  fdupes
%endif
%if 0%{?sles_version}
BuildRequires:  unzip
%endif
# systemd
%if 0%{?suse_version} >= 1210
BuildRequires:  systemd
%{?systemd_requires}
%endif

%description
Check_mk adopts a new a approach for collecting data
from operating systems and network components. It
obsoletes NRPE, check_by_ssh, NSClient and
check_snmp. It has many benefits, the most important
of which are:

* Significant reduction of CPU usage on the Nagios
* host.
* Automatic inventory of items to be checked on
* hosts.

%package agent
Summary:        Agent for check_mk
Group:          System/Monitoring
Recommends:     xinetd
%if 0%{?suse_version}
Requires(pre):  %insserv_prereq
%endif

%description agent
Check_mk adopts a new a approach for collecting data
from operating systems and network components. It
obsoletes NRPE, check_by_ssh, NSClient and
check_snmp. It has many benefits, the most important
of which are:

* Significant reduction of CPU usage on the Nagios
* host.
* Automatic inventory of items to be checked on
* hosts.

%package caching-agent
Summary:        Caching Linux-Agent for check_mk
Group:          System/Monitoring
Requires:       check_mk-agent
Requires:       xinetd
AutoReq:        off
AutoProv:       off

%description caching-agent
This package contains the agent for check_mk with an xinetd
configuration that wrap the agent with the check_mk_caching_agent
wrapper. Use it when doing fully redundant monitoring, where
an agent is regularily polled by more than one monitoring
server.

%package agent-logwatch
Summary:        Logwatch-Plugin for check_mk agent
Group:          System/Monitoring
Requires:       check_mk-agent = %{version}
Requires:       python
%if 0%{?suse_version} > 1130
BuildArch:      noarch
%endif

%description agent-logwatch
The logwatch plugin for the check_mk agent allows you to monitor
logfiles on Linux and UNIX. In one or more configuration files you
specify patters for log messages that should raise a warning or
critical state. For each logfile the current position is remembered.
This way only new messages are being sent.

%package agent-mysql
Summary:        MySQL-Plugin for check_mk agent
Group:          System/Monitoring
Requires:       check_mk-agent = %{version}
Requires:       mysql-client
%if 0%{?suse_version} > 1130
BuildArch:      noarch
%endif

%description agent-mysql
The MySQL plugin for the check_mk agent allows you to monitor
several aspects of MySQL databases. You need to adapt the
config %{_sysconfdir}/check_mk/mysql.cfg to your needs.

%package agent-oracle
Summary:        Oracle-Plugin for check_mk agent
Group:          System/Monitoring
Requires:       check_mk-agent = %{version}
%if 0%{?suse_version} > 1130
BuildArch:      noarch
%endif

%description agent-oracle
The ORACLE plugin for the check_mk agent allows you to monitor
several aspects of ORACLE databases. You need to adapt the
script %{_sysconfdir}/check_mk/sqlplus.sh to your needs.

%package agent-smart
Summary:        SMART-Plugin for check_mk agent
Group:          System/Monitoring
Requires:       check_mk-agent = %{version}
Requires:       smartmontools
%if 0%{?suse_version} > 1130
BuildArch:      noarch
%endif

%description agent-smart
The SMART plugin for the check_mk agent allows you to monitor
several SMART values of harddisks.

%package agent-jolokia
Summary:        Jolokia-Plugin for check_mk agent
Group:          System/Monitoring
Requires:       check_mk-agent = %{version}
%if 0%{?suse_version} > 1130
BuildArch:      noarch
%endif

%description agent-jolokia
The Jolokia plugin for the check_mk agent allows you to monitor
several aspect of Java application servers. You need to adapt the
config %{_sysconfdir}/check_mk/jolokia.cfg  to your needs.

%package agent-apache_status
Summary:        Apache Status Plugin for check_mk agent
Group:          System/Monitoring
Requires:       check_mk-agent = %{version}
%if 0%{?suse_version} > 1130
BuildArch:      noarch
%endif

%description agent-apache_status
The apache_status plugin for the check_mk agent allows you to monitor
and parses the information provided by the Apache status module. You
may need to adapt the config %{_sysconfdir}/check_mk/apache_status,cfg to your
needs. It requires that Apache mod_status be loaded.

%package multisite
Summary:        Web GUI for displaying monitoring status information
Group:          System/Monitoring
Requires:       %{name} >= %{version}
Requires:       apache2
Requires:       apache2-mod_python
Requires:       pnp4nagios
Requires:       python
Requires(pre):  permissions
Provides:       %{name}-web = %{version}
Obsoletes:      %{name}-web < %{version}
%if 0%{?suse_version} > 1130
BuildArch:      noarch
%endif

%description multisite
This package contains the Check_mk webpages. They allow you to
search for services and apply Nagios commands to the search results.

%package vsphere
Summary:        Check state of VMWare ESX via vSphere
Group:          System/Monitoring
Requires:       %{name} >= %{version}
Requires:       python-pysphere
%if 0%{?suse_version} > 1130
BuildArch:      noarch
%endif

%description vsphere
This package handles dependencies for the server-side vsphere agent.
See http://mathias-kettner.de/checkmk_vsphere.html for details.

%package -n mkeventd
Summary:        Check_MK Event Console
Group:          System/Monitoring
Requires:       %{name}-multisite
Requires:       python

%description -n mkeventd
The Check_MK Event Console adds real and native event processing to Nagios
without loosing the advantages of the state based monitoring. It is not a
standalone system, but fully integrated into the Multisite GUI. By means of an
own daemon it can:

* Receive messages from syslog, the SNMP trap daemon or other applications
* Process them by applying a custom set of rules at a rate of 1.000 messages
  per second and faster
* Classify messages based on all of the messages' attributes
* Correlate messages it receives
* Aggregate multiple similar messages into single events
* Rewrite the content of messages or add comments
* Automatically execute actions
* Create events if certain messages do not arrive
* Provide a current event status directly as a view in the Multisite GUI
* and much more...

%package -n mk-livestatus
Summary:        Accessing status and historic Nagios data
Group:          System/Monitoring
%if 0%{?mandriva_version}
Recommends:     nagios
%endif
%if 0%{?suse_version}
Recommends:     monitoring_daemon
%endif

%description -n mk-livestatus
Just as NDO, Livestatus make use of the Nagios Event Broker API and loads a
binary module into your Nagios process. But other then NDO, Livestatus does not
actively write out data. Instead, it opens a socket by which data can be
retrieved on demand.

The socket allows you to send a request for hosts, services or other pieces of
data and get an immediate answer. The data is directly read from Nagios'
internal data structures. Livestatus does not create its own copy of that data.
Beginning from version 1.1.2 you are also be able retrieve historic data from
the Nagios log files via Livestatus.

This package works with Nagios and Icinga - please choose the correct livestatus
library for either Nagios 3.x and Icinga or Nagios 4 in %{livestatus_libdir}:
* livestatus.o => Nagios 3.x and Icinga
* livestatus-nagios4.o => Nagios 4.x

%prep
%setup -q
%patch1
install -m 0644 %{SOURCE6} permissions.mkeventd
touch debugsources.list
touch debugfiles.list

%build
# setup.sh will just copy a statical linked binary, so we do it on our own
#tar -xf agents.tar.gz waitmax.c
install -m 644 %{SOURCE13} waitmax.c
gcc -s %{optflags} -o waitmax waitmax.c
install -m 644 %{SOURCE8} livestatus-README.SUSE

%install
%if %{?suse_version} <= 1200
export CC=gcc-4.8
export CXX=g++-4.8
%endif

%if 0%{?suse_version} && 0%{?suse_version} < 1120
export NO_BRP_CHECK_BYTECODE_VERSION=true
%endif

export check_mk_version=%{version}
export default_config_dir='%{livestatus_check_mk_configdir}'
export bindir='%{_bindir}'
export confdir='%{livestatus_sysconfdir}'
export check_mk_configdir='%{livestatus_check_mk_configdir}'
export checksdir='%{livestatus_checksdir}'
export modulesdir='%{livestatus_modulesdir}'
export web_dir='%{livestatus_webdir}'
export mibsdir='%{_datadir}/snmp/mibs'
export docdir='%{_defaultdocdir}/%{name}'
export checkmandir='%{_defaultdocdir}/%{name}/checks'
export vardir='%{livestatus_vardir}'
export agentsdir='%{livestatus_agentsdir}'
export agentslibdir='%{livestatus_agentslibdir}'
export agentsconfdir='%{livestatus_agentsconfdir}'
export htdocsdir='%{livestatus_htdocsdir}'
export nagiosuser='%{nagios_user}'
export wwwuser='wwwrun'
export wwwgroup='%{nagios_command_group}'
export nagios_binary='%{_sbindir}/nagios'
export nagios_config_file='%{nagios_sysconfdir}/nagios.cfg'
export nagconfdir='%{livestatus_nagconfdir}'
%if 0%{?suse_version} >= 1310
export nagios_startscript='%{_sbindir}/rcnagios'
%else
export nagios_startscript='%{_sysconfdir}/init.d/nagios'
%endif
export nagpipe='%{nagios_command_file}'
export nagiosurl='/nagios'
export cgiurl='/nagios/cgi-bin'
export nagios_status_file='%{nagios_status_file}'
export check_icmp_path='%{nagios_plugindir}/check_icmp'
export checkmk_web_uri='/%{name}'
export apache_config_dir='%{_sysconfdir}/apache2/conf.d'
export htpasswd_file='%{nagios_sysconfdir}/htpasswd.users'
export nagios_auth_name='Nagios Access'
export pnpconfdir='%{pnp4nagios_sysconfdir}'
export pnprraconf='%{pnp4nagios_sysconfdir}'
export pnp_url='%{pnp4nagios_baseurl}'
export pnp_prefix='%{pnp4nagios_baseurl}/'
export rrddir='%{livestatus_rrddir}'
export pnptemplates='%{pnp4nagios_templatedir}'
export enable_livestatus='yes'
export libdir='%{livestatus_libdir}'
export livesock='%{livestatus_socket_file}'
export livebackendsdir='%{livestatus_livebackendsdir}'
export check_result_path='%{nagios_spooldir}'
export wwwuser='%{nagios_command_user}'
export DESTDIR=%{buildroot}
export enable_mkeventd='yes'
export mkeventdstatedir='%{_localstatedir}/lib/mkeventd'
export inventory_dir='%{livestatus_vardir}/inventory'
export log_dir='%{livestatus_log_dir}'
R=%{buildroot}

# install directories
install -d -m 755 %{buildroot}/$agentslibdir/{local,plugins,job}
install -d -m 755 %{buildroot}/${docdir}
install -d -m 755 %{buildroot}/${docdir}_agent
install -d -m 755 %{buildroot}/%{_sysconfdir}/init.d
install -d -m 755 %{buildroot}/%{livestatus_rrddir}
install -d -m 755 %{buildroot}/%{livestatus_socketdir}
install -d -m 755 %{buildroot}/%{livestatus_log_dir}
install -d -m 755 %{buildroot}/%{livestatus_vardir}/rrd
install -d -m 755 %{buildroot}/%{livestatus_vardir}/inventory
install -d -m 755 %{buildroot}/%{livestatus_vardir}/snmp_cache
install -d -m 755 %{buildroot}/%{livestatus_vardir}/wato
install -d -m 755 %{buildroot}/%{livestatus_vardir}/wato/{log,snapshots}
install -d -m 755 %{buildroot}/%{livestatus_vardir}/web
install -d -m 755 %{buildroot}/%{livestatus_check_mk_configdir}/wato
install -d -m 755 %{buildroot}/%{livestatus_check_mk_configdir}/multisite.d
install -d -m 755 %{buildroot}/%{livestatus_sysconfdir}/multisite.d
install -d -m 755 %{buildroot}/%{livestatus_sysconfdir}/multisite.d/wato
install -d -m 755 %{buildroot}/%{nagios_plugindir}
install -d -m 755 %{buildroot}/%{_sbindir}

# fix setup.sh to not use abuild for sudo call
sed -i 's/sudo -u $(id -un)/sudo -u root/' ./setup.sh

# install livestatus library for Nagios Version 4.x
export nagios_version=4.3
DESTDIR=%{buildroot} bash ./setup.sh --yes || cat ./livestatus.log
if [ -f %{buildroot}/%{livestatus_libdir}/livestatus.o ]; then
	mv %{buildroot}/%{livestatus_libdir}/livestatus.o %{buildroot}/%{livestatus_libdir}/livestatus-nagios4.o
fi

# install livestatus library for Nagios Version 3.x
export nagios_version=3.5.0
DESTDIR=%{buildroot} bash ./setup.sh --yes || cat ./livestatus.log

if [ ! -e  "%{buildroot}/%{livestatus_vardir}/log" ]; then
    ln -s "%{livestatus_log_dir}" "%{buildroot}/%{livestatus_vardir}/log"
fi

# auth.serials require for WATO/multisite
install -d -m 755 %{buildroot}/%{nagios_sysconfdir}
install -m 600 /dev/null %{buildroot}/%{nagios_sysconfdir}/auth.serials

# documentation
install -m 644 COPYING %{buildroot}/${docdir}_agent/
install -m 644 COPYING ChangeLog AUTHORS %{buildroot}/${docdir}/
install -m 644 %{SOURCE3} %{buildroot}/${docdir}/README.SUSE
if [ -f %{buildroot}/%{_defaultdocdir}/%{name}/helpers/headrify ]; then
	bashdir=$(which bash)
	sed -i "s|/usr/bin/bash|${bashdir}|g" %{buildroot}/%{_defaultdocdir}/%{name}/helpers/headrify
	chmod -x %{buildroot}/%{_defaultdocdir}/%{name}/helpers/headrify
fi

# move files to the right place
install -m755 %{buildroot}%{livestatus_agentsdir}/check_mk_agent.linux %{buildroot}%{_bindir}/check_mk_agent
install -m755 %{buildroot}%{livestatus_agentsdir}/check_mk_caching_agent.linux %{buildroot}%{_bindir}/check_mk_caching_agent
install -m755 %{buildroot}%{livestatus_agentsdir}/plugins/mk_logwatch %{buildroot}%{livestatus_agentslibdir}/plugins

# mysql plugin
install -m755 %{buildroot}%{livestatus_agentsdir}/plugins/mk_mysql %{buildroot}%{livestatus_agentslibdir}/plugins

# oracle plugin
install -m755 %{buildroot}%{livestatus_agentsdir}/plugins/mk_oracle %{buildroot}%{livestatus_agentslibdir}/plugins
install -m755 %{buildroot}%{livestatus_agentsdir}/cfg_examples/sqlplus.sh %{buildroot}%{livestatus_agentsconfdir}/

# smart plugin
install -m755 %{buildroot}%{livestatus_agentsdir}/plugins/smart %{buildroot}%{livestatus_agentslibdir}/plugins

# jolokia plugin
install -m755 %{buildroot}%{livestatus_agentsdir}/plugins/mk_jolokia %{buildroot}%{livestatus_agentslibdir}/plugins
install -m644 %{buildroot}%{livestatus_agentsdir}/cfg_examples/jolokia.cfg %{buildroot}%{livestatus_agentsconfdir}/

# apache_status plugin
install -m755 %{buildroot}%{livestatus_agentsdir}/plugins/apache_status %{buildroot}%{livestatus_agentslibdir}/plugins
install -m644 %{buildroot}%{livestatus_agentsdir}/cfg_examples/apache_status.cfg %{buildroot}%{livestatus_agentsconfdir}/

# mk-job installation
install -m755 %{buildroot}%{livestatus_agentsdir}/mk-job %{buildroot}%{_bindir}/mk-job

# fix wrong bash patch for solaris plugin 
bashdir=$(which bash)
sed -i "s|/usr/bin/bash|${bashdir}|g" %{buildroot}%{livestatus_agentsdir}/plugins/nfsexports.solaris
chmod -x %{buildroot}%{livestatus_agentsdir}/plugins/nfsexports.solaris

install -m 755 waitmax %{buildroot}%{_bindir}
rm %{buildroot}%{livestatus_agentsdir}/waitmax*
ln -s %{_bindir}/waitmax %{buildroot}%{livestatus_agentsdir}/waitmax

# mkeventd
ln -s %{_sysconfdir}/init.d/mkeventd %{buildroot}%{_sbindir}/rcmkeventd
rm %{buildroot}%{nagios_plugindir}/*
pushd mkeventd.src/lib
make
install -D -m755 check_mkevents %{buildroot}%{nagios_plugindir}/check_mkevents
test -f %{buildroot}%{_bindir}/mkevent && strip %{buildroot}%{_bindir}/mkevent
popd

# remove unneeded files
#rm %%{buildroot}%%{livestatus_agentsdir}/windows/check_mk_agent.cc
#rm %%{buildroot}%%{livestatus_agentsdir}/windows/Makefile
rm %{buildroot}%{livestatus_agentsdir}/check_mk_agent.freebsd

# install configuration for logwatch agent
install -m 644 %{SOURCE2} %{buildroot}/%{livestatus_agentsconfdir}/logwatch.cfg

# create logwatch directory
install -m 775 -d %{buildroot}/%{livestatus_vardir}/logwatch

# install configuration for mysql agent
install -m 644 %{SOURCE7} %{buildroot}/%{livestatus_agentsconfdir}/mysql.cfg

# install xinetd configuration
install -Dm 644 %{buildroot}%{livestatus_agentsdir}/cfg_examples/xinetd.conf %{buildroot}%{_sysconfdir}/xinetd.d/%{name}
install -Dm 644 %{buildroot}%{livestatus_agentsdir}/cfg_examples/xinetd_caching.conf %{buildroot}%{_sysconfdir}/xinetd.d/check_mk-caching
sed -i "s|.*#only_from.*|        only_from      = 127.0.0.1|g" %{buildroot}%{_sysconfdir}/xinetd.d/*

# install systemd service and socket units for socket activation
%if 0%{?suse_version} >= 1210
install -Dm 644 %{SOURCE9} %{buildroot}%{_unitdir}/%{name}-agent@.service
sed -e 's/-agent$/-caching-agent/' < %{buildroot}%{_unitdir}/%{name}-agent@.service > %{buildroot}%{_unitdir}/%{name}-caching-agent@.service
install -Dm 644 %{SOURCE10} %{buildroot}%{_unitdir}/%{name}-agent.socket
install -Dm 644 %{SOURCE10} %{buildroot}%{_unitdir}/%{name}-caching-agent.socket
install -m 644 %{SOURCE12} %{buildroot}/${docdir}_agent/README.systemd-socket-activation.SUSE
%endif

# remove softlink and install check_mk_templates.cfg
test -d "%{buildroot}/%{livestatus_nagconfdir}" || mkdir -p "%{buildroot}/%{livestatus_nagconfdir}"
if [ -L "%{buildroot}/%{livestatus_nagconfdir}/check_mk_templates.cfg" ]; then
	rm %{buildroot}/%{livestatus_nagconfdir}/check_mk_templates.cfg
	install -Dm 644 %{buildroot}/%{_datadir}/check_mk/check_mk_templates.cfg %{buildroot}%{livestatus_nagconfdir}/check_mk_templates.cfg
fi

# install directory for snmp walk output
install -d -m755 %{buildroot}/%{livestatus_vardir}/snmpwalks

# install permissions file
install -Dm644 %{SOURCE5} %{buildroot}%{_sysconfdir}/permissions.d/check_mk

# fix permissions
chmod +x %{buildroot}%{livestatus_checksdir}/*
chmod +x %{buildroot}%{livestatus_modulesdir}/*.py
for file in $(find %{buildroot}%{livestatus_webdir} -name "*.py"); do
	chmod +x $file
done
find %{buildroot}/${docdir}/ -type f -exec chmod -x {} \;
chmod -x %{buildroot}%{livestatus_webdir}/htdocs/defaults.py

# make rpmlint happy
%if 0%{?suse_version} > 1030
%fdupes -s %{buildroot}/%{pnp4nagios_templatedir}
%fdupes -s %{buildroot}/%{livestatus_webdir}
%endif
strip %{buildroot}/%{_bindir}/mkeventd_open514
strip %{buildroot}/%{_bindir}/unixcat

# install /usr/share/check_mk/modules/defaults into _sysconfdir and create a symlink
mv %{buildroot}%{livestatus_modulesdir}/defaults %{buildroot}/%{livestatus_sysconfdir}/%{name}-defaults
ln -s %{livestatus_sysconfdir}/%{name}-defaults %{buildroot}%{livestatus_modulesdir}/defaults

# apache config
install -m 644 %{SOURCE4} %{buildroot}/%{_sysconfdir}/apache2/conf.d/
# apache sudo file
install -d -m 755 %{buildroot}%{_sysconfdir}/sudoers.d
cat >> %{buildroot}%{_sysconfdir}/sudoers.d/multisite << EOF
# Needed for  WATO - the Check_MK Web Administration Tool
Defaults:$wwwuser !requiretty
$wwwuser ALL = (root) NOPASSWD: $bindir/check_mk --automation *
EOF

# SuSEFirewall2 service file
install -Dm 644 %{SOURCE11} %{buildroot}/%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/check_mk-service

touch %{buildroot}/%{livestatus_vardir}/acknowledged_werks.mk
touch %{buildroot}/%{livestatus_vardir}/log/web.log

# fix for newest rrdtool with optparse: need to use the full option names instead of the short ones
cd %{buildroot}/%{pnp4nagios_templatedir}/
for file in $(find . -type f -name "*.php"); do
	sed -i "s|--upper=101|--upper-limit=101|g; \
 			s|--upper=\"|--upper-limit=\"|g; \
			s|--lower=0|--lower-limit=0|g; \
			s|--lower=\"|--lower-limit=\"|g" "$file"
done 

%pre
# Create user and group on the system if necessary
%nagios_user_group_add
%nagios_command_user_group_add
if [ ${1:-0} -gt 1 ]; then
	# move the defaults config, if needed
	if [ -f %{livestatus_modulesdir}/defaults ]; then
		if [ ! -f %{livestatus_sysconfdir}/%{name}-defaults ]; then
			mv %{livestatus_modulesdir}/defaults %{livestatus_sysconfdir}/%{name}-defaults
			ln -s %{livestatus_sysconfdir}/%{name}-defaults %{livestatus_modulesdir}/defaults
		fi
	fi
fi

%post
%if 0%{?suse_version} < 01210
%run_permissions
%else
%set_permissions  %{_sysconfdir}/permissions.d/check_mk
%endif

%if 0%{?suse_version} >= 1210
%pre agent
%service_add_pre %{name}-agent.socket %{name}-agent@.service
%endif

%post agent
# ensure xinetd is enabled if the package is installed for the first time
%if 0%{?suse_version} >= 1210
%service_add_post xinetd.service
%service_add_post %{name}-agent.socket %{name}-agent@.service
%else
%{fillup_and_insserv -y xinetd}
%endif

%if 0%{?suse_version} >= 1210
%preun agent
%service_del_preun %{name}-agent.socket %{name}-agent@.service
%endif

%postun agent
%if 0%{?suse_version} >= 1210
%service_del_postun xinetd.service
%service_del_postun %{name}-agent.socket %{name}-agent@.service
%else
%restart_on_update xinetd
%endif

%if 0%{?suse_version} >= 1210
%pre caching-agent
%service_add_pre %{name}-caching-agent.socket %{name}-caching-agent@.service
%endif

%post caching-agent
%if 0%{?suse_version} >= 1210
%service_add_post xinetd.service
%service_add_post %{name}-caching-agent.socket %{name}-caching-agent@.service
%else
%{fillup_and_insserv -y xinetd}
%endif

%if 0%{?suse_version} >= 1210
%preun caching-agent
%service_del_preun %{name}-caching-agent.socket %{name}-caching-agent@.service
%endif

%postun caching-agent
%if 0%{?suse_version} >= 1210
%service_del_postun xinetd.service
%service_del_postun %{name}-caching-agent.socket %{name}-caching-agent@.service
%else
%restart_on_update xinetd
%endif

%post -n mk-livestatus
%if 0%{?suse_version} < 01210
%run_permissions
%else
%set_permissions %{_sysconfdir}/permissions.d/check_mk
%endif


%post multisite
%if 0%{?suse_version} > 1140
%set_permissions %{_sysconfdir}/permissions.d/check_mk
%else
%run_permissions
%endif

%post -n mkeventd
echo "mkeventd_open514 permissions are not set, i.e not setuid. See
%{_docdir}/mkeventd/permissions.mkeventd for details
on resolving this on SUSE systems"
%{fillup_and_insserv mkeventd}

%preun -n mkeventd
%stop_on_removal mkeventd

%postun -n mkeventd
%restart_on_update mkeventd
%insserv_cleanup


%files
%defattr(-,root,root)
%doc %{_defaultdocdir}/%{name}
%dir %{livestatus_sysconfdir}
%dir %attr(0775,%{nagios_user},%{nagios_command_group})
%dir %{livestatus_check_mk_configdir}
%dir %attr(0775,%{nagios_user},%{nagios_command_group})
%dir %{livestatus_datadir}
%dir %{livestatus_datadir}/inventory
%{livestatus_datadir}/inventory/*
%dir %{livestatus_datadir}/werks
%{livestatus_datadir}/werks/*
%dir %{livestatus_datadir}/notifications
%{livestatus_datadir}/notifications/*
%dir %{livestatus_agentsdir}
%dir %{livestatus_agentsdir}/plugins
%dir %{livestatus_agentslibdir}
%dir %{livestatus_checksdir}
%dir %{livestatus_modulesdir}
%dir %{livestatus_notificationsdir}
%dir %{livestatus_nagconfdir}
%dir %{livestatus_rrddir}
%dir %{livestatus_libdir}
%dir %{pnp4nagios_datadir}
%dir %{pnp4nagios_templatedir}
%dir %{nagios_sysconfdir}
%dir %{livestatus_vardir}
%dir %{livestatus_vardir}/inventory
%dir %{livestatus_vardir}/packages
%verify(not mode) %dir %{livestatus_vardir}
%verify(not mode) %dir %{livestatus_vardir}/packages
%ghost %attr(0664,%{nagios_user},%{nagios_command_group}) %{livestatus_vardir}/acknowledged_werks.mk
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_vardir}/autochecks
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_vardir}/cache
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_vardir}/counters
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_vardir}/precompiled
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_vardir}/snmpwalks
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_vardir}/inventory
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_vardir}/snmp_cache
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_log_dir}
%{livestatus_vardir}/log
%ghost %attr(0664,%{nagios_user},%{nagios_command_group}) %{livestatus_vardir}/log/web.log
%config(noreplace) %{livestatus_sysconfdir}/*.mk*
%config(noreplace) %{livestatus_sysconfdir}/%{name}-defaults
%config %{livestatus_check_mk_configdir}/README
%config(noreplace) %{_sysconfdir}/permissions.d/check_mk
%config(noreplace) %{livestatus_nagconfdir}/check_mk_templates.cfg
%{_datadir}/check_mk/check_mk_templates.cfg
%{livestatus_agentsdir}/*
%{livestatus_checksdir}/*
%{livestatus_modulesdir}/*
%{livestatus_notificationsdir}/*
%{pnp4nagios_templatedir}/*
%{_bindir}/check_mk
%{_bindir}/cmk
%{_bindir}/mkp
%{livestatus_vardir}/packages/check_mk
%verify(not mode) %{livestatus_vardir}/packages/check_mk
%exclude %{livestatus_sysconfdir}/logwatch.cfg
%exclude %{livestatus_sysconfdir}/multisite.d
%exclude %{livestatus_datadir}/web
%exclude %{livestatus_agentsdir}/plugins/mk_logwatch
%exclude %{livestatus_vardir}/packages/check_mk
%exclude %{livestatus_vardir}/logwatch

%files -n mk-livestatus
%defattr(-,root,root)
%doc livestatus-README.SUSE
%dir %attr(-,%{nagios_user},%{nagios_command_group})
%{_bindir}/unixcat
%{livestatus_vardir}/packages/check_mk
%verify(not mode) %{livestatus_vardir}/packages/check_mk
%dir %attr(-,%{nagios_user},%{nagios_command_group}) %{livestatus_socketdir}
%dir %verify(not mode) %attr(-,%{nagios_user},%{nagios_command_group}) %{livestatus_socketdir}
#%%config(noreplace) %%{_sysconfdir}/permissions.d/mk-livestatus
%{livestatus_libdir}/livestatus.o
%{livestatus_libdir}/livestatus-nagios4.o

%files agent
%defattr(-,root,root)
%doc %{_defaultdocdir}/check_mk_agent
%{_bindir}/check_mk_agent
%{_bindir}/waitmax
%{_bindir}/mk-job
%config(noreplace) %{_sysconfdir}/xinetd.d/%{name}
%if 0%{?suse_version} >= 1210
%{_unitdir}/%{name}-agent@.service
%{_unitdir}/%{name}-agent.socket
%endif
%dir %{livestatus_agentslibdir}
%dir %{livestatus_agentslibdir}/job
%dir %{livestatus_agentslibdir}/local
%dir %{livestatus_agentslibdir}/plugins
%config(noreplace) %{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/check_mk-service

%files caching-agent
%defattr(-,root,root)
%{_bindir}/check_mk_caching_agent
%config(noreplace) %{_sysconfdir}/xinetd.d/%{name}-caching
%if 0%{?suse_version} >= 1210
%{_unitdir}/%{name}-caching-agent@.service
%{_unitdir}/%{name}-caching-agent.socket
%endif

%files agent-logwatch
%defattr(-,root,root,-)
%{livestatus_agentslibdir}/plugins/mk_logwatch
%config(noreplace) %{livestatus_sysconfdir}/logwatch.cfg
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_vardir}/logwatch

%files agent-mysql
%defattr(-,root,root,-)
%{livestatus_agentslibdir}/plugins/mk_mysql
%config(noreplace) %attr(0400,%{nagios_command_user},%{nagios_command_group}) %{livestatus_sysconfdir}/mysql.cfg

%files agent-oracle
%defattr(-,root,root,-)
%{livestatus_agentslibdir}/plugins/mk_oracle
%config(noreplace) %{livestatus_sysconfdir}/sqlplus.sh

%files agent-smart
%defattr(-,root,root,-)
%{livestatus_agentslibdir}/plugins/smart

%files agent-jolokia
%defattr(-,root,root,-)
%{livestatus_agentslibdir}/plugins/mk_jolokia
%config(noreplace) %{livestatus_sysconfdir}/jolokia.cfg

%files agent-apache_status
%defattr(-,root,root,-)
%{livestatus_agentslibdir}/plugins/apache_status
%config(noreplace) %{livestatus_sysconfdir}/apache_status.cfg

%files multisite
%defattr(-,root,root,-)
%dir %{_sysconfdir}/sudoers.d
%{livestatus_datadir}/web
%config(noreplace) %{_sysconfdir}/apache2/conf.d/*.conf
%config(noreplace) %attr(0660,%{nagios_command_user},%{nagios_command_group}) %{nagios_sysconfdir}/auth.serials
%config(noreplace) %{_sysconfdir}/sudoers.d/multisite
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_vardir}/wato
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_vardir}/wato/log
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_vardir}/wato/snapshots
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_vardir}/web
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_check_mk_configdir}/wato
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_check_mk_configdir}/multisite.d
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_sysconfdir}/multisite.d
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_sysconfdir}/multisite.d/wato

%files vsphere
%defattr(-,root,root,-)
%dir %{livestatus_datadir}/agents/special

%files -n mkeventd
%defattr(-,root,root,-)
%doc permissions.mkeventd
%{_sysconfdir}/init.d/mkeventd
%{_sbindir}/rcmkeventd
%{_bindir}/mkevent
%{_bindir}/mkeventd
%dir %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_sysconfdir}/multisite.d
%config(noreplace) %attr(0775,%{nagios_user},%{nagios_command_group}) %{livestatus_sysconfdir}/multisite.d/mkeventd.mk
%dir %{nagios_libdir}
%dir %{nagios_plugindir}
%{nagios_plugindir}/check_mkevents
%attr(0754,root,root)%{_bindir}/mkeventd_open514

%changelog
* Sun Jan  7 2018 FSchreiner@suse.com
- xinetd is not really needed by check_mk-agent (e.g. if called by
  check_by_ssh), so xinetd should only be "Recommended" as xinetd
  might open new attack vectors for target systems in untrusted
  zones
* Tue Jan  2 2018 suse-beta@cboltz.de
- set_permissions /etc/permissions.d/check_mk in mk-Livestatus %%post instead of
  using the no longer existing /etc/permissions.d/mk-Livestatus to
  ensure correct permissions of /var/spool/check_mk/
* Tue Sep 26 2017 lars@linux-schulserver.de
- update to 1.2.8p26
  Core & Setup:
  * 5038 FIX: Datasource programs: Prevent zombie processes in case of timeouts...
  * 5204 FIX: Host rename: Fixed broken rename of hosts in rrdcached journal...
  * 5205 FIX: Host rename: Fixed broken renaming when new name uses dots...
  Checks & Agents:
  * 5078 FIX: lnx_distro: Detects version and name of Check_MK Appliance correctly
  * 5079 FIX: windows_tasks: Adapted man page; Some OK states were missing
  * 5083 FIX: oracle_locks: Do not discover if data is incomplete...
  * 5089 FIX: citrix_xenapp.ps1: Refactored; now uses powershell commands
    for Citrix environment instead of WMI objects which caused runtime errors
  * 5091 FIX: Perfometer: Allow zero as maximal value; Fixed unsupported
    operand type for /: 'float' and 'NoneType'
  * 5093 FIX: dell_poweredge_temp: Fixed device levels handling if they are empty
  * 5095 FIX: "Round trip average" graph: Added warn and crit lines
  * 5096 FIX: mk_oracle_crs: crs_stat command is deprecated since Oracle
    11gR2; Now the plugin handles that correctly
  * 4804 FIX: brocade_fcport: Fix limiting discovered ports by operational
    and physical status...
  * 5110 FIX: appdynamics_memory: Fixed crashing if max. available for
    heap or non-heap memory is zero
  * 5113 FIX: cifsmounts: Fixed wrong reported error message if user has
    not right permissions on mount point
  * 5114 FIX: ps, ps.perf: Allow "/" in process name in manual checks
  * 5115 FIX: zfs_arc_cache: Fixed wrong detected lines from agent output
    if they contain no counters, eg. 'class = misc'
  * 5120 FIX: ps, ps.perf: Fixed regex range introduced with werk 5114
    which allows "/" in process name in manual checks
  * 5121 FIX: check_sql: Added error message if cx_Oracle module is not installed
  * 5014 FIX: df: Fixed error if dynamic levels should be set...
  * 5125 FIX: brocade_mlx_power: Fixed wrong index usage which led to
    undetected power supplies
  * 5278 FIX: check_mk_agent.linux: Fixed wrong detected sensors in
    state "State disasserted"
  * 5279 FIX: qnap_disks: Just discover slots that are not empty
  * 5281 FIX: apache_status: Fixed ignoring invalid lines
  * 5282 FIX: hpux_tunables: Fixed discovering kernel tunables on HPUX 11.23
  * 5016 FIX: hp_proliant_temp: Fixed crash if thresholds are set manually...
  Multisite:
  * 5208 SEC: Fix possibe information disclosure to unauthenticated users...
* Fri Jul 28 2017 darin@darins.net
- update to 1.2.8p25
  Checks & Agents:
  * 4823 FIX: netapp_api_cpu: Fixed crash if data for node is missing...
  * 4874 FIX: cisco_power: Improved discovery of power supplies...
    NOTE: Please refer to the migration notes!
  * 4824 FIX: f5bigip_conns: Fixed crash if Parameters are at 'No Levels'...
  * 4875 FIX: Fixed graph labeling and unit of active HTTP service
  * 4826 FIX: juniper_cpu_util: No crash anymore if information is not provided
  * 4876 FIX: mounts: Fixed wrong handling of NFS mounts on Linux which are detected as stale...
  * 4827 FIX: domino_info: Fixed crash if some information is missing
  * 4908 FIX: enterasys_powersupply: Fixed crash if empty output...
  * 4909 FIX: arris_cmts_cpu: Fixed crash if thresholds are set
  * 4879 FIX: akcp_sensor_humidity, akcp_exp_humidity: Fixed wrong order of level evaluation
  * 4880 FIX: wut_webtherm, wut_webtherm.humidity: Fixed missing device type and enabled performance data for humidity
  * 4881 FIX: multipath: Fixed service details: Number of paths were interpreted as expected paths
  * 4883 FIX: juniper_trpz_aps_sessions: Fixed performance data handling if running on cluster
  * 4884 FIX: oracle_logswitches: Fixed missing oracle.include
  * 4914 FIX: statgrab_mem: Plugin is now prioritized over solaris_mem if both is available...
  * 4915 FIX: solaris_mem: Unified graphs and Per-O-Meter with common memory checks...
  * 4887 FIX: cisco_wlc: Fixed crashing check plugin caused by IndexError
  * 4972 FIX: mk_inventory.aix: Use MK_VARDIR instead of MK_CONFDIR for the state file
  * 4980 FIX: mssql_counters.file_sizes: Added readable titles of related metrics...
  * 4981 FIX: fjdarye100_sum, fjdarye101_sum: Fixed precompiling error: No such file or directory: '/omd/sites/SITENAME/share/check_mk/checks/a'
  * 4982 FIX: zypper: Made check more robust against different SLES 12 service packs
  * 5029 FIX: Fix Windows agent crash with logwatch and '*' wildcard...
  Multisite:
  * 4902 SEC: Monitoring history views: Fixed possible XSS when displaying "plugin output"...
  HW/SW-Inventory:
  * 4878 FIX: lnx_distro: Fixed wrong detected distribution name, vendor and version...
* Mon Jul  3 2017 lars@linux-schulserver.de
- fix option calls for rrdtool during %%%%install: latest (1.6.0)
  rrdtool switched to optparse - as resuult, the complete option
  arguments must be used - this is funnily backwarts compatible
* Tue Jun 27 2017 lars@linux-schulserver.de
- update to 1.2.8p24
    Checks & Agents:
  * 4636 Added compatibility for Lenovo blades...
  * 4637 FIX: blade_blades: Fixed buggy state validation
  * 4788 FIX: openhardwaremonitor: New support of current hardware...
  * 4789 FIX: check_mk_agent.aix: Fixed computation of uptime...
  * 4772 FIX: cisco_wlc, cisco_wlc_clients: Added support for Cisco 1850 devices
  * 4790 FIX: Fixed scaling for the average in interface services of pnp4nagios graphs...
  * 4634 FIX: aix_if: Make check work with different ifconfig output format...
  * 4774 FIX: wmi_cpuload: Expanded missing information handling
  * 4635 FIX: raritan_emx_sensors.temp, raritan_px_sensors: Fix checks
    for Nagios core, add missing WATO rule to raritan_px_sensors
  * 4775 FIX: fortigate_sessions: Improved missing or invalid output handling
  * 4792 FIX: Fixed wrong unit in graph for tape utilization...
  * 4777 FIX: esx_vsphere_sensors: Fixed wrong interpretation of
    ESX sensor health state 'UNKNOWN'
  * 4793 FIX: chrony: Changed to raw IP address without dns name
    to avoid empty output...
  * 4794 FIX: check_mk_agent.solaris: Now considers top in /usr/bin/ and /usr/local/bin/
  * 4778 FIX: lnx_quotas: Adapted plugin output if TABS are used in fstab
  * 4795 FIX: netstat: Fixed wrong output if LISTENING connections should be
    monitored on Ubuntu...
  * 4779 FIX: check_mk_agent.freebsd, check_mk_agent.solaris: Reduce agent
    output by excluding mirror devices
  * 4781 FIX: mk_oracle, mk_oracle.aix: Added support for Oracle 12.2
  * 4858 FIX: omd_apache data collection: fixed issues caused by missing
    newline at the end of statsfile(s)...
  * 4784 FIX: oracle_rman: wrong detection of level 1 backup...
  * 4785 FIX: oracle_locks: New SQL for check...
  * 4868 FIX: oracle_tablespace: Restrict data for check from primary...
  * 4871 FIX: if.include: Added missing interface types...
  * 4872 FIX: zfs_arc_cache: Fixed conversions of size, arc meta used, arc meta
    limit and arc meta max
  * 4654 FIX: oracle_recovery_area: Added missing metric info
  * 4655 FIX: fileinfo.groups: Added missing metric information
  * 4661 FIX: msexch_isstore, msexch_isclienttype: Split up check files.
    Second one needs its own check plugin file if using Nagios core...
    NOTE: Please refer to the migration notes!
  * 4736 FIX: ucs_bladecenter_if: Fixed crash if fabric interconnects are aggregated...
  * 8289 FIX: wagner_titanus_topsense.smoke: Adapted levels to be more user friendly...
  * 4739 FIX: hp_proliant_da_phydrv: Implemented new possible values
  * 4663 FIX: check_mailboxes: Removed useless report_age which causes
    TypeError: float() argument must be a string or a number
  * 4740 FIX: mysql: Fixed crash if instance is not available anymore
  * 4741 FIX: dell_powerconnect_temp: Fixed missing reference for computing the temperature
  * 4631 FIX: cisco_ace_rserver: Fix broken IP address parsing...
    NOTE: Please refer to the migration notes!
  * 4632 FIX: fsc_subsystems: No longer crash when statuscode is missing
  * 4633 FIX: jolokia_metrics.uptime: No longer crash when agent info is incomplete
  * 4742 FIX: wmi_cpuload: Added required tables to prevent crash...
  * 4616 FIX: mk_postgres/mk_db2.linux: Fixed quotes which lead into wrong interpretation...
  * 4471 FIX: Windows Agent Process Monitoring: ps section is no longer completely
    suppressed when only parts of the data is missing...
  * 4622 FIX: emc_isilon_diskstatus: Now treats L3 caching devices as OK
  * 8286 FIX: brocade_mlx_power: Added new standard OID for snChasPwrSupply2Table
    to receive all power supplies in stacked devices
  * 4638 FIX: esx_vsphere_hostsystem.multipath: Fixed compatibility to older versions...
  * 4627 FIX: apc_symmetra: Fix bogus 100000000 A battery current
    occurring on some devices...
  * 4593 FIX: wmi_cpuload: Fixed missing WATO group
  * 4640 FIX: heartbeat_crm: Fixed crash if output contains capital letters
  * 4647 FIX: websphere_mq_queues: Fixed 'list index out of range' error...
  * 4648 FIX: mk_oracle: Fixed logswitches SQL statement for ORACLE RAC case...
  * 4032 smart agent plugin: disable megacli logging output...
  * 4194 FIX: esx_vsphere_hostsystem.multipath: Fixed grouping of paths...
    NOTE: Please refer to the migration notes!
  * 4544 FIX: multipath: Fixed missing infos in output if a failure occurs...
  * 4549 FIX: citrix_licenses: Fixed always ok state even if all licenses are used...
  * 4550 FIX: smart: the services do not crash anymore if a threshold is not provided
  * 8629 FIX: win_printers: Fix broken default parameters
  * 4551 FIX: zfs_arc_cache: Fixed metrics in html5 graphing
  * 4530 FIX: lnx_distro: Fixed missing distribution if eg. Oracle and
    Redhat release files are available
  * 4531 FIX: oracle_tablespaces: Added missing info for better analysis
  * 4533 FIX: cisco_vpn_tunnel: Fixed handling if tunnel is not yet
    open and phase two values are not set
  * 4552 FIX: win_dhcp_pools: Fixed conversion of old type of rules
    (1.2.6) to new type (1.2.8)...
  * 4576 FIX: if64, if64adm: Fixed interface speed handling, if
    highspeed data is not available or zero
  * 4577 FIX: websphere_mq_channels: Fixed missing channel states
  * 4581 FIX: postgres_stats: Fixed confusion of VACUUM and ANALYSE timestamp in agent plugin
  * 4583 FIX: netextreme_psu: Fixed empty data handling
  * 4586 FIX: juniper_trpz_aps_sessions: Fixed crashes if access point is
    not reachable or no values could be calculated
  * 4587 FIX: juniper_trpz_aps, juniper_trpz_aps_sessions: Fixed
    missing OID for WLC800R series
  * 4588 FIX: cisco_wlc, cisco_wlc_clients: Fixed missing OID for
    Cisco WLC-8510 devices
    WATO:
  * 4680 FIX: Sync of local hierarchy (MKPs) preserves symlinks now...
  * 4558 FIX: Set correct file permissions for WATO snapshots
    BI:
  * 4670 FIX: Fixed exception when trying to edit not existing BI aggregation
    Event Console:
  * 4470 FIX: Event console: fixed incorrect event counting for
    timed-out and heartbeat events...
    Multisite:
  * 4053 FIX: Fixed moving summary line in BI availability when sorting
    Notifications:
  * 4828 FIX: User notification rules can now be canceled...
    HW/SW-Inventory:
  * 4776 FIX: solaris_psrinfo: Fixed handling of newer output
    eg. of Solaris SPARC T5
  * 4660 FIX: win_os: Fixed wrong OS information if eg. ESX
    is installed on Windows host
* Wed May 10 2017 ro@suse.de
- do not try to use dietlibc on factory/tumbleweed, it was
  removed there
* Wed May 10 2017 ro@suse.de
- use gcc-4.8 to fix build in sle11
* Thu Mar 30 2017 darin@darins.net
- update to 1.2.8p20
  Checks & Agents:
  * 4528 FIX: datapower_mem, hp_procurve_mem, ucd_mem: Improved graph readability...
  * 8627 FIX: apt: Fix Ubuntu "NOTE: This is only a simulation!" warning being output in check...
  * 4529 FIX: hp_proliant_raid: Fixed incomplete raid detection; Added missing states
- 1.2.8p19 changes
  Checks & Agents:
  * 4187 FIX: check_mk_agent.linux: better performance for tcp connections query...
  * 4438 FIX: statgrab_mem: Fixed wrong calculation of swap...
  * 4479 FIX: Fixed wrong scaling of check-mk-host-service host check command
  * 8664 FIX: prefer ucd_mem over hr_mem in case of pfSense monitoring...
    NOTE: Please refer to the migration notes!
  * 8284 FIX: apache_status: Fixed wrong IPv6 URLs to query the information...
  * 4481 FIX: websphere_mq_channels: fixed incomplete info handling, ie. ValueError: need more than 2 values to unpack
  * 8665 FIX: fixed aborted snmp scan because of werk #8664...
  * 8666 FIX: added more detected APs to aironet_clients
  * 4489 FIX: check_mk_agent.linux: Fixed group option, ie. newer ipmi-sensors versions have a different group option, thus the section was empty.
  * 4491 FIX: logwatch.groups: Fixed inconsistency of service description which now begins with 'Log' instead of 'LOG'...
  * 4492 FIX: mk_oracle.ps1: Now takes version into account which fixed wrong calculation of tablespaces and fixed missing possibility of wallet configuration
  * 4494 FIX: cisco_wlc, cisco_wlc_clients: Fixed missing OID for Cisco WLC 5520 Appliances
  * 4495 FIX: mk_mysql.vbs: Fixed missing command if DB process runs as mysqld-nt.exe
  * 4516 FIX: check_mk_agent.linux: Escaped quotes in run_cached function used for ipmi-sensors command
  * 4518 FIX: citrix_licenses: Fixed related PNP template with error 'Unused Arguments " " in AREA:used...'
  * 4519 FIX: mbg_lantime_ng_refclock: Added missing refclock types
  * 4520 FIX: avaya_45xx_temp: Fixed wrong temperature unit and value handling
  * 4445 FIX: cisco_cpu: Fixed crash if values are empty...
  * 4352 FIX: akcp_exp_temp, akcp_sensor_temp: No longer crash when temperature information is missing.
  * 4536 FIX: akcp_sensor_humidity: Crash if parameters are set
  * 4537 FIX: hyperv_checkpoints: Fixed wrong detection of checkpoint...
  * 4353 FIX: palo_alto: Fix wrong infotext...
  * 4354 FIX: netstat_an.bat: Fix syntax error...
  * 4538 FIX: blade_bx_powermod: Fixed outdated calculation of state...
  * 4543 FIX: cisco_cpu: Fixed too restrictive service discovery
  * 4523 FIX: tsm_stagingpools, tsm_storagepools: Fixed numerical data handling, ie. util and size may contain ","
  * 4461 FIX: windows agent, df section: volumes with spaces in name are now supported
  * 4524 FIX: logwatch.ec: Removed quotes from message text which caused errors in EC rule evalution with matching criteria 'Text to match'
  * 8626 FIX: jolokia_metrics.threads: Prevent service staleness in case of decreasing threads...
  Multisite:
  * 4400 FIX: Fixed possible random "OSError: [Errno 9] Bad file descriptor" in GUI...
  * 4404 FIX: FIX Logwatch problematic logfiles list was showing too many logfiles...
  * 4511 FIX: Graph dashlets: Fixed graph rendering on host specific dashboards...
  HW/SW-Inventory:
  * 4385 FIX: mk_inventory.vbs: Add new query type for installed software on hosts...
  * 8667 FIX: fixed missing patchlevel in inventory data of SuSE 12.1 and 12.2...
* Mon Mar 20 2017 aj@ajaissle.de
- mkeventd requires, if all, "%%{name}-multisite", not "multisite"
* Sat Feb 25 2017 lars@linux-schulserver.de
- update to 1.2.8p18:
  Checks & Agents:
  * 4189 FIX: mem.used: Fixed graphing...
  * 4190 FIX: mssql_blocked_sessions: Fixed unknown states if only one session is blocked...
  * 4192 FIX: df: Fixed handling of incomplete information about inodes...
  * 4359 FIX: mssql_counters: ignore invalid lines
  * 4374 FIX: check_sql: Fixed exception in verbose mode when querying MSSQL...
  * 4375 FIX: check_sql: Fixed reporting configuration issues to monitoring core...
  * 4406 FIX: Fixed some invalid keyword arguments in check_info declarations...
  * 4407 FIX: df: fixed handling of paths including spaces
  * 4408 FIX: checkpoint_temp, checkpoint_fan, checkpoint_voltage: fixed status and value handling
  * 4349 FIX: cisco_qos: Fix crashing check for some cases where the QoS class cannot be found...
  * 4409 FIX: uptime: fixed missing info handling
  * 4410 FIX: brocade_fcport: fixed missing info handling
  * 4196 FIX: blade_blades: fixed out of range state...
  * 4412 FIX: haproxy.server: fixed empty uptime info handling
  * 4413 FIX: mem.linux: handle empty info
  * 4414 FIX: oracle_rman: fixed UnboundLocalError if sid level 0 is empty
  * 4415 FIX: blade_bays: fixed KeyError
  * 8750 FIX: checkpoint_packets: fixed parameters handling if none are set
  * 8753 FIX: check_mk_agent.solaris: Fixed zfs_arc_cache section
  Multisite:
  * 4365 FIX: Service availability: Host down could not be rewritten to other states like CRIT
  * 4371 FIX: Dashboards: Folder filtered globe dashlets now link to filtered views
  * 4382 FIX: Views: Silently ignore configured but not existing view filters
  * 4383 FIX: Fixed broken "tiled" host view with German localized GUI
  * 4384 FIX: Fixed exception on start page when using Python < 2.5...
  * 4386 FIX: Fixed exception when creating links from service views to service group views...
  * 4388 FIX: Views: Fixed exception with host tag columns which tag has been deleted...
  * 4389 FIX: Views: Fixed "Cached" column when cache interval is reported to be 0...
  * 4397 FIX: Views: Fixed datasource KeyError exception...
  * 4398 FIX: Fixed broken GUI when deleting local/share/check_mk/web/plugins dir...
  * 4399 FIX: Views: Fixed graph showing views of services with invalid perfdata...
  WATO:
  * 4373 FIX: Timeperiods: iCal events with multiple days can now be imported
  * 4376 FIX: WATO Web-API: Is now disabled when WATO is disabled on a site (e.g. slave sites)
  * 4031 FIX: LVM Volume Groups: fixed broken WATO configuration...
    NOTE: Please refer to the migration notes!
  BI:
  * 4396 FIX: Fixed exception in BI views when using site icons...
  HW/SW-Inventory:
  * 3918 FIX: Inventory history: Fixed possible exception when renedering history tables...
  * 4395 FIX: Inventory filters: Fixed error handling when entering invalid regexes
* Fri Dec 16 2016 darin@darins.net
- update 1.2.8p14
  Checks & Agents:
  * 3961 FIX: fixed error sections handling if parse function is available
  * 3962 FIX: oracle_sessions: fixed empty section handling
  * 3831 FIX: ucd_cpu_util: no longer reports an UNKNOWN error when the counter data wasn't updated...
  * 3985 FIX: mrpe: fixed broken long output when using the CMC...
  * 4035 FIX: df_zos: Fixed ignoring last filesystem after new discovery...
  * 3741 FIX: omd_status: Fix labelling and structure of several metric graphs
  * 3986 FIX: esx_vsphere_counters.uptime: fixed incorrect alert when receiving corrupted counter data...
  * 3952 FIX: diskstat: fixed bug if multipath devices having an alias...
  * 3939 FIX: f5_bigip_conns: readded performance data and graphs...
  * 3979 FIX: vbox_guest: Only try to fetch VBox state in case the vboxguest module is loaded
  * 3750 FIX: cmc_temp: Check now also works when using Nagios core
  * 4086 FIX: websphere_mq_queues: fixed unknown variable
  * 3940 FIX: aix_hacmp_services: fixed broken check in case of agent section showing extra information before the "Status(...)" line...
  * 3941 FIX: zypper: fixed broken check for sections since agent OS SLES12...
  * 4043 FIX: Add missing metric definition for 15 minute CPU load prediction'
  * 4088 FIX: ntp: fixed incomplete data handling
  * 4091 FIX: oracle_tablespace: Werk 3907 broke the detection of UNDO- and TEMP-Tablespaces
  Multisite:
  * 3970 SEC: Fixed possible URL injection on index page...
  * 4037 FIX: Fix graphs that have optional metrics...
  * 3974 FIX: Sorting comments in hover menu of comments icon by time now
  * 4040 FIX: Fix error in view about "No WATO folder ..." in case of host imported via cmcdump...
  * 3980 FIX: Fixed possible flickering GUI when using Chrome and zooming the page
  WATO:
  * 3982 FIX: Some MKPs created with WATO could not be uploaded to the Check_MK Exchange
  * 4068 FIX: Fixed possible exception in case of wrong automation secrets between multiple sites...
  BI:
  * 3991 FIX: BI Aggregations: no longer show duplicate aggregations when an aggregation has mulitple groups
* Sat Nov 19 2016 lars@linux-schulserver.de
- update 1.2.8p13
  Checks & Agents:
  * 3822 FIX: MRPE commands longer than 256 characters got truncated...
  * 3958 FIX: netapp_qtree_quota: fixed graph scaling
  * 3937 FIX: check_mk_agent.aix: fixed hadling of mailq command
  * 3825 FIX: local check: no longer cuts away any trailing "9" digits in P mode
  * 3964 FIX: df_zos: Fixed not working filesystemcheck for IBM z/OS...
  * 3650 FIX: Fixed bash versionitis, unbreaking cached check results....
  * 3960 FIX: if.include: fixed wrong order if interface groups are configured
  * 3903 FIX: mssql.vbs: Fixed support for MSSQL server 2016
  * 3967 FIX: raritan_emx: Fixed broken check (wrong include
    temperature.includes)
  Multisite:
  * 3902 FIX: Graph search view: Changing painter options made page empty
  WATO:
  * 3821 FIX: WATO Network Scan: Fixed risk of loosing site tags
    when performing a network scan...
  Notifications:
  * 3968 FIX: Notifications / Alert handling: Fixed configuring nth
    notifications without state changes...
- do not trust the automatic dependency tracking of rpm at the moment:
  require the needed dependencies manual instead
* Thu Oct 13 2016 darin@darins.net
- update 1.2.8p12
  Core & Setup:
  * 3857 FIX: Creation of crash reports could lead to further bugs...
  * 3889 FIX: Fixed incompatiblity with Python 2.4 (CentOS 5.5) introduced with 1.2.8p11...
  * 3737 FIX: Fixed slow activation of changes due to loss of IP address cache...
  * 3893 FIX: Predictive levels: Improved handling of broken prediction files (empty files)...
  Checks & Agents:
  * 3934 mssql.vbs now detects MSSQL Server 2016 instances
  * 3837 FIX: Fixed empty check if lnx_if info contains additional line...
  * 3804 FIX: Datasource programs: fixed possible Check_MK Helper exception when creation of subprocess fails
  * 3808 FIX: df.include: fixed incorrect levels calculations on very small filesystems...
  * 3809 FIX: windows agent: no longer truncates plugin output, no longer freezes when plugin produces too much output...
  * 3813 FIX: check_mail: fixed missing base64 decoding on multipart mails
  * 3888 FIX: df checks: Fixed invalid displayed WARN / CRIT lines in graphs when using "bytes left" thresholds
  * 3840 FIX: cisco_qos: Fixed wrong units in graphs...
  * 3890 FIX: check_mk_agent.openbsd: Fixed broken MRPE checks
  * 3814 FIX: win_netstat: fixed unicode warning while parsing data
  * 3880 FIX: check_sql: fixed missing number in check details
  * 3907 FIX: oracle_tablespaces: simplyfied free space calculation depending on version...
  * 3818 FIX: windows agent: fixed 2 bugs related to mrpe...
  * 3748 FIX: vertias_vcs: Fix empty agent section for standard xinetd configuration...
  * 3935 FIX: FIX avaya_45xx_cpu: check got UNKNOWN using Nagios core
  * 3936 FIX: chrony: support new params dictionary and rule "State of NTP time synchronisation"
  * 3649 FIX: Added a workaround for an escaping-related bug in old bash versions...
  Multisite:
  * 3874 FIX: fixed graphs displaying wrong labels
  * 3858 FIX: Fixed crash report and snapshot creation when using Python <2.5 (e.g. with CentOS 5)
  * 3885 FIX: Fixed sorting of version in werk list (1.2.8p10 and 1.2.8p11 were not listed on top)
  WATO:
  * 3881 FIX: fixed automation call 'delete piggyback host'
  * 3738 FIX: Fixed sporadic pending changes due to (not) changed contact groups...
  * 3739 FIX: Fix exception in displaying check parameter of grouped interfaces...
  * 3820 FIX: Network scan: no longer fails completely if hostname already exists in configuration...
  Notifications:
  * 3860 FIX: EC condition: Fixed default value of rule id selection
  Event Console:
  * 3884 FIX: Notifications: Fixed wrong LASTSERVICESTATE and SERVICESTATE in EC notifications...
  Livestatus:
  * 3740 Moved livedump utility from treasures directly into bin directory...
  HW/SW-Inventory:
  * 3811 FIX: HW/SW Inventory: Fixed GUI display crash when querying data from older software versions...
  * 3882 FIX: mk_inventory.linux: fixed wrong graphic card section name
* Fri Sep 23 2016 darin@darins.net
- Added missing web.log and acknowledged_werks.mk files
- Added missing snmp_cache directory
* Fri Sep 23 2016 darin@darins.net
- update to 1.2.8p11
  + Checks & Agents:
  * 3797 Check_MK Check helpers: Decreased memory consumption in distributed setups...
  * 3798 FIX: Clusters: Fixed invalid timestamp of last cached agent data...
  * 3848 FIX: megaraid_pdisks: Handle "rebuild" state as WARNING instead of UNKNOWN
  * 3849 FIX: check_cpu_peaks: Fixed broken active check
  * 3870 FIX: elphase.include: more robust against none type params
  * 3801 FIX: Fixed race condition with persisted data...
  * 3802 FIX: Fixed excess Check Helper PIPEs when a datasource program runs into a timeout...
  +  Multisite:
  * 3850 FIX: Fixed JS error when quicksearch snapin not in sidebar
  * 3871 FIX: stale services view: excluded services in downtime per default
  +  WATO:
  * 3855 SEC: Fixed possible command injection by privileged WATO users...
* Fri Jul 15 2016 darin@darins.net
- update to 1.2.8p5
  + Core & Setup:
  * 3149 FIX: fixed rare crash if alert handling tried to long non-latin characters
  + Checks & Agents:
  * 3541 FIX: esx_vsphere_hostsystem.state: no longer crashes when data is missing...
  * 3590 FIX: mssql.vbs: Completely removed plugin timeout...
  * 3635 FIX: get_average: fixed overflow error
  * 3653 FIX: fileinfo.groups: Fixed UNKNOWN shown in WATO discovery when configured as manual check
  * 3636 FIX: juniper_fru: fixed present state handling
  * 3142 FIX: windows agent: fixed rare crash when wmi query for uptime fails...
  * 3637 FIX: ipmi_sensors: fixed sensor discovery if sensor is unknown and perfdata handling
  * 3545 FIX: netapp_api_vs_traffic: fixed crash when NFSv4.1 information was available
  * 3143 FIX: windows agent: fixed some minor memory and handle leaks
  * 3144 FIX: bugfix: replacing pipe symbol in plugin output was broken
  * 3638 FIX: cisco_qos: fixed wrong unit handling
  * 3548 FIX: agent_netapp: fixed agent exception for channels without shelfes. improved 7mode/clustermode differentation...
  * 3549 FIX: netapp_api_snapshots: now correctly processes offline volumes...
  * 3145 FIX: solaris agent: fileinfo patterns that match a directory will no longer output items for the files in that directory...
  * 3147 FIX: windows agent: fixed bug where all placeholders in messages were replaced with the same parameter
  * 3654 FIX: apc_symmetra: Improved output in case of unknown battery state / calibration result
  * 3655 FIX: if64adm: Can now be used with OID range limits
  * 3685 FIX: brocade_fcport: fixed unknown state texts
  * 3686 FIX: hp_proliant_temp: fixed wrong device thresholds handling. If no thresholds available the device reports -99
  * 3150 FIX: fixed helpers failing to start and high cpu load when an unparsable local check is installed...
  * 3151 FIX: windows agent: further fix to crashes on failures to query wmi
  + Multisite:
  * 3148 FIX: fixed Edit View/Dashlet Dialogs offering non-sensical filter choices...
  * 3659 FIX: Fixed GUI exceptions for users having special characters in ther user names
  + WATO:
  * 3542 FIX: WATO Web API: fixed exception when WATO Git is activated...
  * 3547 FIX: Deleting a subfolder now generates a correct audit message...
  * 3660 FIX: Contact groups: Fixed broken link to rules in localized GUI
  * 3661 FIX: Service discovery is now possible with only "modify services" permission...
  + Notifications:
  * 3146 FIX: notification scripts will now also timeout when sending a bulk notification...
  + BI:
  * 3546 Drastically sped up response time on querying single aggregations...
  * 3551 FIX: Now able to open BI aggregations containing a few hundred hosts...
* Fri Jun  3 2016 darin@darins.net
- update to 1.2.8p3
  + Core & Setup:
  * 3616 FIX: Fix cmk -I ignoring the option --cache...
  * 3617 FIX: cmk -I without host specification now (again) always uses cache files...
  + Checks & Agents:
  * 3624 FIX: oracle_asm_diskgroup: fixed dismounted disk handling
  * 3625 FIX: zfs_arc_cache: fixed data handling if hits and misses are missing
  * 3626 FIX: dell_eql_storage: fixed scan function if sysDescr is empty
  * 3582 FIX: check_mail: Fixed issue with processing multipart mails...
  * 3630 FIX: docsis_channels_upstream: fixed channel discovery
  * 3584 FIX: check_mkevents: Fixed "failed to parse perfdata" errors in web.log caused by "Events" checks...
  + Multisite:
  * 3627 FIX: fixed double graphs of database size
  + WATO:
  * 3618 Better layout for role & permission matrix, also allow sorting and searching
  * 3583 FIX: Fixed loosing some services after saving services in WATO...
- Added additional rpmlint errors to ignore
- Minor spec file cleanup with spec-clearer
- Update %%files for new %%dir and files
* Tue Jan 26 2016 darin@darins.net
- update to 1.2.6p16
  + Core & Setup:
  * 2936 FIX: fixed service discovery failed if item name contains quote character
  + Checks & Agents:
  * 2807 FIX: check_mail_loop: POP3 protocol wasn't working at all
  * 2861 FIX: hivemanager_devices: Fixed configuration of states to treat as WARN
  * 1317 FIX: fileinfo.groups: Fixed handling of $DATE pattern...
  + Multisite:
  * 2830 FIX: Improved sorting in view column "Services colored according to state"...
  + WATO:
  * 2825 FIX: Parameter overview page no longer raises an exception in certain scenarios...
  + Notifications:
  * 2814 FIX: Fix garbled notification context when \n appears in service description...
  * 2821 FIX: WATO rule based notifications: Validate regular expression for service conditions...
  + BI:
  * 2826 FIX: Disabled BI Aggregations no longer causing crashes when using "Precompile aggregations on demand"...
  + HW/SW-Inventory:
  * 2827 FIX: win_disks, win_video: now able to detect multiple instances
  * 2828 FIX: win_disks: now able to handle disks with missing size or media type information
* Wed Dec  9 2015 aj@ajaissle.de
- update to 1.2.6p15
  + Core & Setup:
  * 2764 FIX: Fixed broken SNMP checks in case SNMP check interval is configured for clusters...
  * 2848 FIX: Fixed cleanup of old autocheck files of cluster hosts...
  + Checks & Agents:
  * 2761 FIX: check_http: Fixed handling of multiple strings given as "Strings to expect in server response"
  * 2765 FIX: heartbeat_crm: Fixed issue detecting outdated data with daylight saving time
  * 2776 FIX: apache_status: fix crash for Apache versions with yet unhandled status fields
  * 2790 FIX: check_dns: now able to configure milliseconds as expected response time...
  * 2844 FIX: heartbeat_crm: Fixed problem processing the state of clone set resources
  * 2799 FIX: check_mail_loop: "Use TLS over SMTP" option did not work
  * 2782 FIX: cups_queues: fix crash in case user name contains spaces
  * 2850 FIX: juniper_cpu: Better error handling of empty data reported by device
  * 2873 FIX: megaraid_pdisks: handle case "Copyback" correctly...
  * 2851 FIX: printer_pages: Fixed exception in case of empty data from device
  * 2856 FIX: winperf_phydisk: Not discovering on clusters where disk perfcounters are missing...
  * 2857 FIX: fritz.conn: Handling missing connection state infos as UNKNOWN
  * 2805 FIX: ps: Now able to monitor processes which contain + characters...
  + Multisite:
  * 2781 FIX: Fix role handling of "Custom Links" snapin in case of adapted roles...
  + WATO:
  * 2791 FIX: Service parameter overview: Fixed problem displaying incorrect rule for classical checks...
  * 2779 FIX: Fix moving of folders...
  + Event Console:
  * 2795 FIX: mkeventd: send email action did not work if message text contains umlauts...
  + HW/SW-Inventory:
  * 1307 FIX: HW/SW Inventory: Found no data now triggers an OK State...
* Tue Nov 10 2015 lars@linux-schulserver.de
- update to 1.2.6.p14:
  + Checks & Agents:
  * 2783 FIX: esx_vsphere_datastores: fixed crash when no provisioning
    levels were set
  + GUI:
  * 2447 FIX: Fixed sorting of performancedata values with units
- update to 1.2.6.p13:
  + Core & Setup:
  * 2430 FIX: Fixed crash with availability queries when using nagios as core
  * 2443 FIX: Fixed quoting of ! in classical nagios checks configured via WATO
  +	Event Console:
  * 2644 FIX: Fix exception in executing actions or notifications when
    match groups contain non-ASCII characters
  * 2757 FIX: Events Check: Fixed check finding too many events (host
    search was infix search instead of full match)
  +	Checks & Agents:
  * 2653 FIX: winperf_msx_queues: fixed incorrect cancelation of
    check claiming no counters were available
  * 2619 FIX: services_summary: Fixed exception on WATO services summary page
  * 2658 FIX: logwatch: unacknowledged messages exceeding the max size are
    now dropped, even if they were already stored due to a previous bug
  * 2679 FIX: hp_proliant_power: Not discoverying when host is reporting "absent" state
  * 2665 FIX: ps: fix crash in case of quota violation on Windows
  * 2236 FIX: cups_queues: Correct not working discovery after werk #2504
  * 2669 FIX: mcdata_fcport: fix computation of in and out traffic
  * 2704 FIX: logwatch: fixed crash caused by missing logwatch buffer
  * 2672 FIX: mounts: ignore options that are allowed to change on btrfs filesystems
  * 2446 FIX: Active checks check_mail check_mail_loop: did not work with POP3 protocol
  * 1300 FIX: ovs_bonding: Fixed discovery exception in case of not active bond
  * 2735 FIX: esx_vsphere_datastores: fix labelling, help and performance data
    of provisioned space
  * 2736 FIX: fortigate_cpu: fix crash if levels are disabled
  * 2738 FIX: Check_MK Caching agent on Linux: introduce timeout for lock
  * 2726 FIX: veeam_backup_status: Fixed missing agent section error in case of aborted tasks
  * 2739 FIX: wut_webtherm: support firmware of article number 57620
  * 2727 FIX: ibm_imm_health: Fixed unhandled exception when SNMP info is missing
  * 2730 FIX: if64: Grouping of interfaces resulted in an exception
  * 2731 FIX: smart.temp: Handles case of missing temperature values correctly
  * 2732 FIX: ad_replication: Made check more robust agains garbled agent output
  * 2754 FIX: ipmitool: Killing asynchronous ipmitool call after 300 seconds
  * 2755 FIX: apc_symmetra: Check is handling missing data more robust now
  + Notifications:
  * 2728 FIX: Removed debug notification script (was not executable)
  + GUI:
  * 2729 FIX: Hosts/Hostproblems snapin: Fixed wrong livestatus query
    when filtering lists
  +	Livestatus:
  * 2648 FIX: Fix crash of core in case of case of certain garbled
    log lines
  * 2743 FIX: Fixed handling of column types in "GET columns"
  +	WATO:
  * 2742 FIX: Make selection of folders and host group tag filter
    use nicer drawing characters
  +	packages:
  * 7506 FIX: Shipping check_mysql_health, check_oracle_health,
    check_nrpe and check_multi again
* Wed Nov  4 2015 ro@suse.de
- move fiddling with log dir below calling setup.sh which
  otherwise aborts
* Tue Nov  3 2015 lars@linux-schulserver.de
- remove obsolete permissions.mk-livestatus
- do not use source service links in SOURCE definitions: does not
  work for Factory submissions right now
* Tue Oct 20 2015 lars@linux-schulserver.de
- enhance rpmlintrc by adding wrong-file-end-of-line-encoding and
  non-executable-script filters for files that are either planned
  to be used on M$ computers or executed inside check_mk
- strip mkevent binary
- remove duplicate permissions pre-requires line
- xinetd services should allow connections only from localhost
  in the standard configuration
- encapsulate also the pre* macros if the scripts there run only on
  a specific distribution (avoid empty pre* macros
- bzip2 the source)
- do not use dietlibc on old distributions
* Tue Sep 22 2015 aj@ajaissle.de
- Update to 1.2.6p12
  + WATO:
  * 2599 FIX: Fix newly introduced fatal bug preventing creation of new hosts in WATO...
- Previous updates: see Changelog
- Minor changes to spec and rpmlintrc
* Tue Apr 14 2015 darin@darins.net
- update to 1.2.6p1
  + Core & Setup:
  * 2089 FIX: Debug mode shows details about errors in autochecks as expected now
  * 2093 FIX: Fixed handling of check_mk commandline parameter "-c"
  * 2187 FIX: Avoid CLOSE_WAIT sockets for agent connection in case of timeouts...
  * 2194 FIX: Avoid new discovered checks from being used without config reload
  + Checks & Agents:
  * 1234 Fixed cisco_power in case of slashes in item names...
  * 2051 FIX: windows agent: no longer outputs stderr of local and plugin scripts...
  * 2088 FIX: cisco_cpu: Dealing with non CPU utilization information correctly...
  * 2055 FIX: agent_vsphere, licenses check: now really configurable on / off...
  * 2091 FIX: The check-mk-agent RPM packages can now update the old check_mk-agent named RPMs...
  * 2046 FIX: Replace GBit with Gbit, MBit with Mbit, KBit with Kbit...
  * 2098 FIX: ibm_svc_mdiskgrp: fix rounding bug, decimal digits of size (GB, TB) were always lost
  * 2094 FIX: Fixed missing agent section when ntpq times out after 5 seconds
  * 2095 FIX: oracle_crs_voting: Also handling voting disks with id 0 (seen on old CRS 10.2.0.5.0)...
  * 2096 FIX: jolokia_metrics: Now deal with missing thread related infos (jboss might only send ThreadCount)
  * 1895 FIX: temperature.include: Fixed Fahrenheit handling...
  * 2097 FIX: apc_symmetra: Fixed false alert during self test...
  * 2143 FIX: Solaris-Agent: Fixed broken zfsget checks on solaris 10
  * 2144 FIX: Fixed exception in inventory GUI when trying to render dates of inventorized exe files...
  * 2058 FIX: ucs_bladecenter_fans.temp, ucs_bladecenter_psu.chassis_temp: fixed broken temperature checks (nagios only)...
  * 2059 FIX: ucs_bladecenter_if: fixed exception when fibrechannel interfaces were not configured...
  * 1233 FIX: Fixed fileinfo check for solaris in case of missing files
  * 1236 FIX: multipath: Now show correct error in case of removed multipaths instead of check crash
  * 2152 FIX: apache_status: Fixed plugin to work on CentOS/RedHat 5.x...
  * 1237 FIX: Fixed missing temperature checks on cisco devices
  * 1238 FIX: check_mk_agent.linux: Do not execute the multipath section if no /etc/multipath.conf exsist.
  * 1240 FIX: multipath: improved detection for not installed multipath
  * 2159 FIX: netapp_api_disk.summary: Changed default thresholds to WARN on the first broken disk, CRIT on 50%%...
  * 2161 FIX: heartbeat_crm: Fixed UnboundLocalError exception on some systems
  * 2162 FIX: citrix_sessions: Handle not set thresholds on single values correctly...
  * 2163 FIX: printer_supply: Now auto detects whether or not a supply is consumable or filling up...
  * 2164 FIX: printer_supply: Fixed handling different capacities than percentage when used upturned levels
  * 2169 FIX: jolokia_metrics.threads: Fixed graph template...
  * 2170 FIX: jolokia_metrics_gc: Fixed exception when GC time not reported by server
  * 2109 FIX: netapp_api_volumes: now using the defined levels when using the Nagios core
  * 2171 FIX: netapp_api_vf_status: Handling "DR backup" as normal (OK) state now
  * 2110 FIX: netapp_api_aggr: check did not take configured levels when using Nagios
  * 1954 FIX: fileinfo / fileinfo.groups: Fixed discovery function for fileinfo groups and equalize agent output of fileinfo agents...
  * 2111 FIX: hitachi_hnas_volume: fix for cases when size information of volumes is not available
  * 2190 FIX: jolokia_metrics.gc: Fixed exception in check if no warn/crit levels are defined
  * 2192 FIX: check_notify_count": Fix exception in PNP template in case of explit email addresses...
  * 2172 FIX: Allowing OIDs in checks not starting with a dot again...
  * 2173 FIX: mk-job: Fixed quoting of command line arguments
  + Multisite:
  * 2054 FIX: Sidebar snapin "Tree of folders": fixed exception when using localized default value...
  * 2090 FIX: Fixed errors when editing / rendering custom url dashlets in some cases...
  * 2092 FIX: Dashboards: Possible to configure an empty custom title
  * 2145 FIX: LDAP-Sync: Handling user ids with special characters more user friendly...
  * 1953 FIX: Fixed processing of html processing in input fields...
  * 1239 FIX: Fixed doc/treasures/downtime script to work with current GUI version
  * 2157 FIX: LDAP: Fixed group-to-role/group-to-contactgroup sync with OpenLDAP (using posixGroup)
  * 2141 FIX: Fix computation of explicit time ranges with time of day...
  * 2142 FIX: Fix non-working option for disabling column headers in grouped boxed views...
  * 2168 FIX: Fixed automation actions with transid=-1 when using basic authentication
  + WATO:
  * 2045 FIX: Avoid fetching SNMP data when showing service list in WATO - unless Full Scan is pressed
  * 2047 FIX: Allow overriding existing WATO rules by own files in local/ hierarchy...
  * 2146 FIX: In distributed environments user notification rules trigger a profile synchronisation now...
  * 1232 FIX: Ldap: Replaces special danish characters now in user sync
  * 2149 FIX: LDAP: The diagnostic log has been changed to use a fixed path...
  * 2158 FIX: Condition column in WATO rule tables has now a flexible width...
  * 2160 FIX: Fixed rename of hosts where a host with this name did exist before
  * 2191 FIX: Fixed handling of URL variable 'mode' in web API for discovering services...
  + Notifications:
  * 2193 FIX: Remove duplicate performance data from host notifications...
  + Reporting & Availability:
  * 2189 FIX: Allow changing graph number from 1 to "all" when editing PNP graph in report...
  + Event Console:
  * 1865 FIX: mkeventd: fixed exception when executing a shell script as action
  * 2133 FIX: Fix visualization of global EC setting for Rule Optimizer...
  * 2139 FIX: Fix exception in Event Console when archiving events with match groups and non ASCII characters
  * 2151 FIX: Fixed wrong time in events when forwarding logwatch to EC between timezones...
  + HW/SW-Inventory:
  * 2147 FIX: Fixed exception in HW-/SW-Inventory GUI with special characters in inventorized data...
  * 2148 FIX: win_os: Fixed inventory of OS with older powershell versions
  * 2108 FIX: win_bios win_disks win_system win_video: these inventory checks can now handle colons in the output
* Tue Mar  3 2015 darin@darins.net
- update to 1.2.6
  + Checks & Agents:
  * 2050 FIX: netapp_api_if: Fixed invalid speed warning for virtual interface groups...
  * 2086 FIX: apc_ats_status: Fixed exception when source different than selected source
  * 2087 FIX: netapp_api_temp: Fixed exception when dealing with old discovered checks...
  1.2.6b12:
  + Checks & Agents:
  * 2039 mk_logwatch: new per-logfile-options maxfilesize and maxlinesize...
  * 2048 FIX: netapp_api_fan, netapp_api_psu, netapp_api_temp: fixed typo in service description Shelfes -> Shelves
    NOTE: Please refer to the migration notes!
  * 2021 FIX: if_lancom: Also used for checking ELSA/T-Systems branded devices
  * 2023 FIX: if_lancom: Handle point-2-point interfaces of newer firmwares correctly
  * 2027 FIX: fc_port: Fixed exception when wirespeed is reported as 0 by the device
  * 1224 FIX: Fixed rare Bug in case of clusterd network interfaces...
  * 2079 FIX: freebsd agent: Was unable to find ntpq command with FreeBSD10...
  * 2082 FIX: jolokia_metrics.mem: Fixed levels on total memory usage
  + Multisite:
  * 2024 FIX: Views: Fixed problem when filtering views by strings containing umlauts...
  + WATO:
  * 1223 FIX: Fixed manual configuration of ntp peer check...
  * 2025 FIX: Fixed exception when synchronising custom ldap attributes in distributed WATO setup
  * 2026 FIX: Fixed exception when using umlauts in notification plugin descriptions...
  * 2078 FIX: Fixed exception with some snapshots when using a localized GUI...
  * 2080 FIX: Fixed UnicodeDecodeError when using a localized GUI on notification configuration page
  * 2084 FIX: Disabled notification for a user is now shown on profile page even when not permitted to edit...
  + Notifications:
  * 2081 FIX: Improved logging of mkeventd in error cases
  + BI:
  * 2020 FIX: Fixed non working FOREACH_CHILD mechanism for BI rules
* Fri Feb 27 2015 darin@darins.net
- update to 1.2.6b11
    Core & Setup:
  * 2014 FIX: Fixed different issues running Check_MK on CentOS 5.x
  * 2037 FIX: Inventorize piggy back data even if access to normal agent fails
  * 2016 FIX: Fixed service discovery / monitoring on hosts which have only piggyback data (e.g. ESX VMs)...
    Checks & Agents:
  * 1947 agent_ucs_bladecenter: Monitors UCS Bladecenter via Web-API...
  * 2017 FIX: Solaris-Agent: Prevent hanging agent in uptime section...
  * 1890 FIX: cisco_temperature: Replaces cisco_temp_perf and cisco_temp_sensor...
    NOTE: Please refer to the migration notes!
  * 2019 FIX: heartbeat_crm: Be compatible to yet unknown crm_mon output format
    WATO:
  * 1946 FIX: WATO Web-API: edit host action does no longer unset all unspecified attributes...
    Notifications:
  * 2015 FIX: Fixed sending notifications for services with umlauts in names...
  * 2038 FIX: Log complete Email address into monitoring history when notifying explicity addresses
  For a complete listing of changes see:
    https://mathias-kettner.de/check_mk_changelog_innovation.html
- remove unused patches
* Sat Jan 24 2015 obs@botter.cc
- agent:
  + add systemd unit files for socket activation of agent instead of
    using xinetd activation
  + add separate package for caching-agent
  + add SuSEfirewall2 service for check_mk-agent
- logwatch:
  + add logwatch dir to vardir, as logwatch keeps track of logfiles
    there
- multisite:
  + move livestatus_webdir back to /var/lib/check_mk/web (from upstream)
  + include wato dirs in multisite subpackage
  + add %%{livestatus_vardir}/web
  + add %%{livestatus_sysconfdir}/multisite.d(/wato)
- mkeventd:
  + fix permission of %%{livestatus_sysconfdir}/multisite.d
* Tue Dec 30 2014 obs@botter.cc
- change nagios_startscript to %%{_sbindir}/rcnagios for versions
  >= 1310, as /etc/init.d/nagios is not available there anymore
* Thu Jul 24 2014 lars@linux-schulserver.de
- add sudoers file for multisite, so apache can run check_mk
- BuildRequire dietlibc for mkeventd binaries
- complete mkeventd package
- try to handle systemd serivce in postun in check_mk-agent
- add compatibility for Nagios 4.x by providing
  livestatus-nagios4.o in /usr/lib/check_mk
- added livestatus-README.SUSE for mk-livestatus package
- install directories before calling setup.sh - otherwise some
  files will not be installed
- move livestatus.o out of the check_mk package
* Fri Jul  4 2014 lars@linux-schulserver.de
- update to 1.2.4p5:
  Core & Setup:
  * 1035 FIX: Do not fail on errors in *.mk files anymore - except
    in interactive mode...
  Checks & Agents:
  * 0994 FIX: agent plugin smart: fixed syntax error
  * 0989 FIX: logwatch.ec: Fix forwarding multiple messages via syslog/TCP...
  * 0943 FIX: if.include: fixed incorrect traffic percentage values
    in the check output of if checks...
  * 1037 FIX: bintec_info: support bintec RXL12500
  * 0827 FIX: lnx_thermal: Not checking active trip points (e.g.
    cooling device triggers) anymore
  Multisite:
  * 1036 FIX: doc/treasures/downtime: fix --url option, better error output
  WATO:
  * 0990 FIX: Fix HTTP error handling in bulk inventory...
  * 1004 FIX: Fix exception when saving rules, caused by empty item
  Event Console:
  * 1040 FIX: Avoid sporadic errors when checking event state in Event Console...
  Livestatus:
  * 0988 FIX: livedump: Fix exception in case no contact groups are
    defined for a service
* Tue Jun 24 2014 darin@darins.net
- update to 1.2.4p4:
  Core & Setup:
  * 0940 SEC: Fixed various core SIGSEGV when using malformed livestatus queries...
  Checks & Agents:
  * 0932 FIX: prediction: fixed bug where predicted levels were not recalculated
  Multisite:
  * 0982 SEC: Fix two XSS weaknesses according to CVSS 8.5 AV:N/AC:M/Au:S/C:C/I:C/A:C...
  * 0983 SEC: Fix security issue in code of row selections (checkboxes) (CVSS 4.9 AV:N/AC:M/Au:S/C:N/I:P/A:P)...
  * 0166 FIX: mobile gui: Fixed colors of command list...
  * 0820 FIX: Fixed wrong NagVis links in "custom links" snapin
  * 0939 FIX: Fixed multisite exception caused by missing explanation text for a AUTODELETE event action
  WATO:
  * 0984 Fix code injection for logged in users via automation url...
    NOTE: Please refer to the migration notes!
  * 0817 FIX: Fixed error during creating new sites in WATO...
- install mk-job
- remove CVE-2014-0243 patches
* Mon Jun  2 2014 lars@linux-schulserver.de
- update to 1.2.4p3:
  Core & Setup:
  * 0888 FIX: Fix SNMP inventory check in simulation mode
  Checks & Agents:
  * 0889 FIX: logwatch: fix case where rule wouldn't be applied...
  * 0832 FIX: solaris_mem: fixed invalid calculation of total swap...
  * 0154 FIX: zfsget: Fixed inventory of filesystems
  * 0155 FIX: mssql_counters: harded check agains odd agent output
  * 0910 FIX: brocade.power: fixed an error where the check reports
    an UNKNOWN on power supply failure...
  Multisite:
  * 0912 FIX: Multisite Views: Fixed bug where custom views could
    not get deleted
  * 0923 FIX: json export: fixed bug not stripping html tags
    from output
  WATO:
  * 0971 FIX: Fix missing authentication of PHP addons in
    D-WATO when activation mode is reload...
  * 0972 FIX: Do not loose site specific global settings anymore
    when chaning a site's configuration...
  Notifications:
  * 0964 FIX: Fix hanging shutdown of CMC on RedHat 5.X...
  BI:
  * 0882 FIX: check_bi_local.py: fix crash in case of non-ascii characters...
  Reporting & Availability:
  * 0890 FIX: Fix availability computation for hosts...
  * 0891 FIX: Fix HTML encoding of tootip in inline timeline of availability
  Event Console:
  * 0902 FIX: event console view: fixed exception on rendering
    host tags for unknown hosts...
  The CMC itself:
  * 8045 FIX: Do no increase notification number on recovery notifications...
  * 8049 FIX: Fix exception of cmcrushd on RedHat 5.X...
- remove CVE-2014-0243 patches: included upstream
* Sat May 31 2014 lars@linux-schulserver.de
- added check_mk-1.2.4p2-CVE-2014-0243-*.patch to fix a security
  problem where any local use can read any file as root.
  see CVE-2014-0243 for details.
* Sat May 17 2014 lars@linux-schulserver.de
- require mysql-client instead of mysql-community-server to allow
  the use of mariadb
* Wed Apr  9 2014 lars@linux-schulserver.de
- disable build of mk-livestatus for Nagios 4: Icinga will be broken
* Tue Apr  8 2014 lars@linux-schulserver.de
- update to 1.2.4.p2:
  This patch release fixes bulk operations in WATO and a memory leak
  in livestatus when working with the statehist table. It also includes
  several important fixes for Inline-SNMP.
  Core & Setup:
  * 0785 FIX: Availability: fixed memory leak in table statehist...
  WATO:
  * 0784 Improved security of WATO bulk inventory by using transaction ids
  * 0781 FIX: host diag page: fixed problem with update of diagnose
    subwindows...
- fix ownership below /var/lib/check_mk/
- building livestatus for Nagios 4+
* Wed Apr  2 2014 lars@linux-schulserver.de
- update to 1.2.4p1:
  + Contains several bugfixes in all components. For a detailed
    list, take a look at /usr/share/doc/packages/check_mk/ChangeLog
  + The most important changes are security patches for two CVEs
    (CVE-2014-2330 and CVE-2014-2331)
- place /usr/share/check_mk/modules/defaults in /etc/check_mk and
  name it check_mk-defaults - this allows us to define this file
  as config file which should not replaced on update
* Wed Mar 12 2014 darin@darins.net
- Add packaging for apache_status plugin
- set require version for agent plugins
* Thu Feb 13 2014 darin@darins.net
- update to 1.2.4
  + Core & Setup:
  * 0682 FIX: Allow overriding of active and custom checks by
    more specific rule...
  * 0267 FIX: Fixed auth.serials permission problem in check_mk
    standalone installation...
  + Checks & Agents:
  * 0694 wut_webtherm: Support new versions of WUT-Thermometer
  * 0688 FIX: winperf_msx_queues: Support output of Exchange 2013
  * 0689 FIX: postgres_sessions: fix empty agent section in case
    of 0 sessions...
  * 0692 FIX: fileinfo: Avoid duplicate entries in Solaris agent
  * 0693 FIX: hpux_lvm: avoid problem when alternative vgdisplay
    is installed
  + Multisite:
  * 0270 FIX: Multisite host tag filter: Now uses exact match
  * 0273 FIX: Fixed exceptions when modifying / cloning views
  * 0274 FIX: Fixed exception when view title or description was
    missing
  + WATO:
  * 0686 FIX: Fix replication with WATO if EC is enabled on master
    and disabled on slave
  * 0129 FIX: Fixed permission bug in "Edit user profile" dialog....
  * 0269 FIX: brocade_fcport: fixed problem on displaying
    check_parameters in WATO
  * 0271 FIX: Fixed sorting in duallist element
    (two lists with interchangable elements)
  * 0131 FIX: Error rates for network interfaces can now be set
    smaller then 0.1 when using Wato
  * 0690 FIX: Fix language jumping to German when saving user
    profiles
  * 0666 FIX: Minimum port for the mknotifyd is now 1024
    (never use well known ports)
  + Notifications:
  * 0133 FIX: Fixed mkeventd notification plugin
  + Livestatus:
  * 0276 nagios4 livestatus support
  See ChangeLog for a complete listing of changes since 1.2.2p3
- update setup.sh.patch for 1.2.4
- remove livecheck
- add vsphere package to handle python-pysphere depends
* Mon Nov 18 2013 darin@darins.net
- Add packaging for Jolokia plugin
* Wed Nov 13 2013 darin@darins.net
- set ownership on mysql.cfg and mkeventd_open514 for sles
* Wed Nov 13 2013 darin@darins.net
- update to 1.2.2p3
  + Core
  * get_average(): Gracefully handle time anomlies of target systems
  * notifications: /var/lib/check_mk/notify directory is now created
    correctly during setup from tgz file.
    (Without it notifications did not get sent out.)
  * add missing $DESTDIR to auth.serials in setup.sh
  + Checks & Agents
  * winperf_processor: fix case where CPU percent is exactly 100%%
  * blade_powerfan: fix mixup of default levels 50/40 -> 40/50
  * Cleaned up graph rendering of Check_MK services
  * zypper: deal with output from SLES 10
  * zpool_status: Ignoring "No known data errors" text
  * dmi_sysinfo: Handling ":" in value correctly
  * check_http: Fixed syntax error when monitoring certificates
  * check_dns: parameter -A does not get an additional string
  * diskstat: Fixed wrong values for IO/s computation on linux hosts
  * blade_healts: Fixed wrong index checking resulting in exceptions
  * notifications: /var/lib/check_mk/notify directory is now created
    correctly during setup from tgz file.
    (Without it notifications did not get sent out.)
  + Multisite
  * LDAP: Disabling use of referrals in active directory configuration
  * Fixed missing roles in auth.php (in some cases) which resulted in non
    visible pnp graphs and missing nagvis permissions
  * Fixed label color of black toner perfometers when fuel is low
  * Fixed wrong default settings of view filters in localized multisite
  * Fixed exception when enabling sounds for views relying on e.g. alert
    statistics source
  * Folder Tree Snapin: make folder filter also work for remote folders that
    do not exist locally
  * correctly display sub-minute check/retry intervals
  * fix logic of some numeric sorters
  * Improved user provided variable validation in view code
  * Escaping html code in plugin output painters
  + WATO
  * fix layout of Auxiliary tags table
  * avoid exception when called first time and first page ist host tags
  * fix validation of time-of-day input field (24:00)
  * automation users can now be deleted again (bug was introduced in 1.2.2p1)
  * fix logwatch pattern analyzer message "The host xyz is not managed by WATO."
    after direct access via snapin
  * Fixed first toggle of flags in global settings when default is set to True
  * fix exception and loss of hosts in a folder when deleting all site
    connections of a distributed WATO setup
  * avoid Python exception for invalid parameters even in debug mode
  * check_ldap: Removed duplicate "-H" definition
  * Fixed some output encoding problem in snapshot restore / deletion code
  * Improved user provided variable validation in snapshot handling code
  * Improved user provided variable validation in inventory dialog
  + Event Console
  * apply rewriting of application/hostname also when cancelling events
  * check_mkevents now uses case insensitive host name matching
  + Livestatus
  * fixed incorrect output formatting of comments_with_info column
    table statehist: fixed memory leak
- Add support for systemd
- Add %%defattr for mkeventd %%files
- slight mod to setup.sh.pathch
* Fri Aug  9 2013 darin@darins.net
- no source8 committed to OBS which is causing build failures
* Thu Jul 18 2013 lars@linux-schulserver.de
- fix permissions file handling
- recommend monitoring_daemon instead of nagios on openSUSE
- use RPM macros to create needed users and groups
- install permissions file for check_mk
- point users to 'chkstat --system --set' on newer systems
* Thu Jun 27 2013 opensuse@pennewiss.de
- Added packaging for MySQL plugin
* Tue Jun 25 2013 opensuse@pennewiss.de
- Added packaging for SMART plugin
* Mon Jun 17 2013 darin@darins.net
- update to 1.2.2p2
- enabled mkeventd and packaging
- patch setup.sh to resolve chown issues
- added permissions.mkeventd for setting its permissions
* Tue Jun  4 2013 darin@darins.net
- use %%run_permissions if older then suse 1140
* Fri Apr 12 2013 darin@darins.net
- adjust %%set_permission so it's only run on SUSE
* Fri Apr 12 2013 darin@darins.net
- Added missing %%livestatus_socketdir
- Added auth.serial to multisite
- Use %%set_permissions set perms on /etc/nagios/htpasswd.users for
  multisite/WATO
- adjust for new rpm macros
* Mon Apr  8 2013 darin@darins.net
- update top 1.2.2
  + Core
  * Added $HOSTURL$ and $SERVICEURL$ to notification macros
    which contain an URL to the host/service details views with
    /check_mk/... as base.
  Checks & Agents
  * FIX: blade_bx_load: remove invalid WATO group
  * FIX: lnx_bonding: handle also 802.3ad type bonds
  Notifications
  * FIX: Removing GRAPH_CODE in html mails when not available
  * Using plugin argument 1 for path to pnp4nagios index php to
    render graphs
  * Little speedup of check_mk --notify
  Multisite
  * FIX: Fixed umlaut handling in reloaded snapins
  WATO
  * FIX: Fix several cases where WATO rule analyser did not
    hilite all matching rules
  * Added tcp port parameter to SSL certificate check
  Event Console
  * FIX: Syslog server is now able to parse RFC 5424 syslog
    messages
* Fri Mar  8 2013 joop.boonen@opensuse.org
- Repacked source with livecheck.c build fix for openSUSE > 12.2
  +#include <sys/resource.h>
- Fixed cross distro build
* Tue Feb 12 2013 darin@darins.net
- update to 1.2.0p4
  +WATO
  * fixed detection of existing groups when creating new groups
  * allow email addresses like test@test.test-test.com
  * Fixed Password saving problem in user settings
  +Checks & Agents
  * postgres_sessions: handle case of no active/no idle sessions
  * winperf_processor: handle parameters "None" (as WATO creates)
  * mssql_counters: remove debug output, fix bytes output
  * mssql_tablespaces: gracefully handle garbled agent output
  +Multisite
  * performeter_temparature now returns unicode string,
    because of °C
  * output_format json in webservices now using " as quotes
  +Livestatus
  * fix two problems when reloading module in Icinga (
    thanks to Ronny Biering) Mulitisite
* Wed Dec 19 2012 lars@linux-schulserver.de
- install a permissions file in /etc/permissions.d/ to allow
  creating the livestatus socket as icinga user. Enhanced
  the documentation (README.SuSE) for this.
* Thu Oct 11 2012 darin@darins.net
- update to 1.2.0p3
  + Mulitisite:
  * Added "view" parameter to dashlet_pnpgraph webservice
  + WATO:
  * FIX: It is now possible to create clusters in empty folders
  * FIX: Fixed problem with complaining empty ListOf() valuespecs
  + Livestatus:
  * FIX: comments_with_info in service table was always empty
* Thu Jul 12 2012 darin@darins.net
- added missing %%{livestatus_vardir}/wato directories
- fix perms on %%{livestatus_vardir}/wato
* Wed Jul 11 2012 lars@linux-schulserver.de
- update to 1.2.0p2:
  + Core:
  * simulation_mode: legacy_checks, custom_checks and active_checks
    are replaced with dummy checks always being OK
  * FIX: Precisely define order of reading of configuration files. This
    fixes a WATO rule precedence problem
  + Checks & Agents:
  * FIX: Fixed syntax errors in a bunch of man pages
  * if_lancom: silently ignore Point-To-Point interfaces
  * if_lancom: add SSID to logical WLAN interface names
  * Added a collection of MSSQL checks for monitoring MSSQL servers
    (backups, tablespaces, counters)
  * New check wut_webio_io: Monitor the IO input channels on
    W&T Web-IO devices
  * nfsmounts: reclassify "Stale NFS handle" from WARN to CRIT
  * ORACLE agent/checks: better error handling. Let SQL errors get
    through into check output, output sections even if no database
    is running.
  * oracle_version: new check outputting the version of an ORACLE
    database - and using uncached direct SQL output.
  * ORACLE agent: fix handling of EXCLUDE, new variable ONLY_SIDS
    for explicitely listing SIDs to monitor
  * mk_logwatch on Linux: new options regex and iregex for file selection
  * remove obsolete ORACLE checks where no agent plugins where available
  * FIX: printer_supply: Fix problem on DELL printers with "S/N" in output
    (thanks to Sebastian Talmon)
  * FIX: winperf_phydisk: Fix typo (lead to WATO rule not being applied)
  * Windows agent: new [global] option crash_debug (see online docu)
  * AIX agent: new check for LVM volume status in rootvg.
  + Multisite:
  * Show number of rows and number of selected rows in header line
    (also for WATO hosts table)
  * FIX: fix problem in showing exceptions (due to help function)
  * FIX: fixed several localization problems in view/command processing
  * FIX: fixed duplicated settings in WATO when using localisation
  * FIX: fixed exception when refering to a language which does not exist
  * FIX: Removing all downtimes of a host/service is now possible again
  * FIX: The refresh time in footer is updated now when changing the value
  * FIX: view editor shows "(Mobile)" hint in view titles when linking to views
  + WATO:
  * Main menu of ruleeditor (Host & Service Parameters) now has
    a topic for "Used rules" - a short overview of all non-empty
    rulesets.
  * FIX: add missing context help to host details dialog
  * FIX: set new site dirty is host move due to change of
    folder attributes
  * FIX: fix exception on unknown value in DropdownChoice
  * FIX: add service specification to ruleset Delay service notifications
  * FIX: fixed problem with disabled sites in WATO
  * FIX: massive speedup when changing roles/users and activing changes
    (especially when you have a larger number of users and folders)
  * Add variable CONTACTPAGER to allowed macros in notifications
  * FIX: fixed default setting if "Hide names of configuration variables"
    in WATO
  * FIX: ListOfString Textboxes (e.g. parents of folders) do now extend in IE
  + BI:
  * New iterators FOREACH_CHILD and FOREACH_PARENT
  * FIX: fix handling of FOREACH_ in leaf nodes (remove hard coded
    $HOST$, replace with $1$, $2$, ..., apply argument substitution)
  * New logical datatable for aggregations that have the same name
    as a host. Converted view "BI Boxes" to this new table. This allows
    for Host-Aggregations containing data of other hosts as well.
  * count_ok: allow percentages, e.g. "count_ok!70%%!50%%"
- add more README* and *.bat files for other Operating Systems to
  the rpmlintrc file
* Wed Jun 27 2012 darin@darins.net
- export wwwuser
- fix setup.sh to make proper sudo call from wato
* Wed Jun 27 2012 darin@darins.net
- replace _datarootdir macro with _datadir so is builds on SLE
- added conditional unzip buildrequire for SLE
- suppress bytecode version test for SLE
  http://en.opensuse.org/openSUSE:Packaging_Java#bytecode_version_error
* Wed Jun  6 2012 darin@darins.net
- update to 1.2.0p1
  + Core
    Added macros $DATE$, $SHORTDATETIME$ and $LONGDATETIME$' to notification macros
  + Checks & Agents
    FIX: diskstat: handle output 'No Devices Found' - avoiding exception
  + Multisite
    FIX: fix severe exception in all views on older Python versions (like RedHat 5.5).
  +WATO
    FIX: fix order of rule execution: subfolders now take precedence as they should.
-- 1.2.0 changes
  + Setup
    FIX: fix building of RPM packages (due to mk_mysql, mk_postgres)
  + Core
    FIX: fix error message in case of duplicate custom check
  + WATO
    FIX: add missing icon on cluster hosts to WATO in Multisite views
    FIX: fix search field in host table if more than 10 hosts are shown
    FIX: fix bulk edit and form properties (visibility of attributes was broken)
    FIX: fix negating hosts in rule editor
  + Checks & Agents
    fileinfo: added this check to Linux agent. Simply put your file patterns into /etc/check_mk/fileinfo.cfg for configuration.
    mysql.sessions: New check for MySQL sessions (need new plugin mk_mysql)
    mysql.innodb_io: New check for Disk-IO of InnoDB
    mysql_capacity: New check for used/free capacity of MySQL databases
    postgres_sessions: New check for PostgreSQL number of sessions
    postgres_stat_database: New check for PostgreSQL database statistics
    postgres_stat_database.size: New check for PostgreSQL database size
    FIX: hpux_if: convert_to_hex was missing on non-SNMP-hosts -replace with inline implementation
    tcp_conn_stats: handle state BOUND (found on Solaris)
    diskstat: support for checking latency, LVM and VxVM on Linux (needs updated agent)
    avoid duplicate checks cisco_temp_perf and cisco_sensor_temp
- updated check_mk-no_chgrp.patch for 1.2.0
- various %%files updates
-- check_mk_templates.cfg move from $docdir to %%{_datarootdir}/check_mk
-- removed %%pnp4nagios_sysconfdir, RRA-configuration files dropped in version 1.1.13i1
-- added livecheck, added version 1.1.13i1
-- add dirs for wato
- add export for check_result_path
- added README.SUSE doc
- add %%fdupes to cleanup images/icons
- include and add FollowSymlinks in the apache config
* Fri May  4 2012 darin@darins.net
- updated .spec to use command %%macros consistently
* Tue Feb 28 2012 darin@darins.net
- update to 1.1.12p7
  + Core, Setup, etc.
    FIX: honor extra_summary_host_conf (was ignored)
    FIX: handle buggy SNMP devices with non-consecutive OIDS (such as BINTEC routers)
  + Multisite
    FIX: detail view of host was missing column headers
    FIX: fix problem on IE with background color 'white'
    FIX: fix hitting enter in host search form on IE
    FIX: fix problem in ipmi_sensors perfometer
  + Checks & Agents
    FIX: fixed man pages of h3c_lanswitch_sensors and statgrab_cpu
    FIX: netapp_volumes: added raid4 as allowed state (thanks to Michaël Coquard)
    FIX: HP-UX Agent: fix mrpe (remove echo -e and test -e, thanks to Philipp Lemke)
    FIX: ntp checks: output numeric data also if stratum too high
    FIX: if/if64: omit check result on counter wrap if bandwidth traffic levels are used.
    FIX: hpux_if: fix missing default parameter errors
    FIX: fix inventory of f5_bigip_temp
    hr_mem: handle rare case where more than one entry is present (this prevents an exception of pfSense) Livestatus
    FIX: fix type column in 'GET columns' for dict-type columns (bug found by Gerhard Lausser)
- Added packaging for oracle plugin
- Changed source from bz2 to gz so there's no need to recompress
- Set license to an OSI compliant per:
    http://en.opensuse.org/openSUSE:Packaging_guidelines#Licensing
    http://en.opensuse.org/openSUSE:Accepted_licences
* Fri Feb  3 2012 darin@darins.net
- Added missing cache, counters, logwatch, rrd, and web directories
  which belong under /var/lib/check_mk to %%files
- Create /var/lib/check_mk/rrd in %%install
* Thu Jan  5 2012 darin@darins.net
- Reinserted installation of mk_logwatch in %%install so it's
  installed to the correct location
- Update agent-logwatch %%files to reflect the proper installation
  location of mk_logwatch
* Tue Jan  3 2012 darin@darins.net
- Updated to 1.1.12p6
- Removed agent Recommends which triggered the automatic selection of
  "check_mk nagios nagios-plugins nagios-www" upon installation of agent.
* Tue Dec 13 2011 lars@linux-schulserver.de
- update to 1.1.12p4:
  + Multisite:
    FIX: sidebar snapin Hostgroups and Servicegroups sometimes
    failed with non-existing "available_views".
    FIX: Fix host related WATO context button links to point
    to the hosts site
    FIX: Fixed view editor redirection to new view after changing
    the view_name
    FIX: Made icon painter usable when displaying hostgroup rows
    Logwatch: Switched strings in logwatch to i18n strings
    Logwatch: Fixed styling of context button when acknowleding
    log messages
    Logwatch: Implemented overview page to show all
    problematic logfiles
  + WATO:
    FIX: add missing icon_csv.png
    FIX: WATO did not write values of custom macros to
    extra_host_conf definitions
* Tue Nov 29 2011 lars@linux-schulserver.de
- update to 1.1.12p3:
  + Core, Setup, etc.
    FIX: really suppress precompiling on PING-only hosts now
    FIX: fix handling of empty suboids
    FIX: do not create precomiled checks for host without
    Check_MK services
    FIX: fix aggregate_check_mk (Summary host agent status)
  + Multisite
    FIX: fix critical but with missing "wato_enabled". You can now
    set "wato_enabled = False" in multisite.mk in order to
    completely disable WATO.
    FIX: Fixed styling of view header in older IE browsers
    FIX: Do not show WATO button in views if WATO is disabled
    FIX: Remove WATO Folder filter if WATO is disabled
    FIX: Snapin 'Performance': fix text align for numbers
    FIX: Disallow setting downtimes that end in the past
    FIX: Fix links to downtime services in dashboard
    FIX: Fix popup help of reschedule icon
    FIX: finally fixed long-wanted "NagStaMon create hundreds
    of Apache processes" problem!
    FIX: query crashed when sorting after a join columns without an
    explicit title.
    FIX: filter for WATO file/folder was not always working.
    Added filter for hard services states to search and service
    problems view
    FIX: Added id parameter to render_statistics() method to allow
    more than one pie dashlet for host/service stats
    FIX: dashboard problem views now ignore notification period, just
    as tactical overview and normal problem views do
    FIX: Fixed styling of view header in older IE browsers
    FIX: Loading dashboard plugins in dashboard module
  + Checks & Agents
    FIX: mem.win: Default levels now works, check not always OK
    FIX: blade_health: fix OID specification
    FIX: blade_bays: fix naming of item and man page
    FIX: mk_oracle now also detects XE databases
    FIX: printer_alerts: handle 0-entries of Brother printers
    FIX: printer_supply: fix Perf-O-Meter if no max known
    FIX: Added id parameter to render_statistics() method to allow
    more than one pie dashlet for host/service stats
    FIX: drbd: fixed inventory functions
    FIX: printer_supply: handle output of Brother printers
    FIX: ps.perf PNP template: show memory usage per process and not
    summed up. This is needed in situations where one process
    forks itself in irregular intervals and rates but you are
    interested just in the memory usage of the main process.
* Sun Nov  6 2011 lars@linux-schulserver.de
- complete rewrite of the package based on the work from deadpoint:
  + use the setup.sh script to build all needed things and export
    the needed variables for building during %%%%install
- update to 1.1.12
- split into the following (sub-)packages:
  + check_mk (main package)
  + check_mk-multisite (multiside web GUI)
  + check_mk-agent-logwatch (logwatch extension for agent)
  + check_mk-agent (linux agent)
  + mk-livestatus (access Nagios status data)
* Fri Nov 13 2009 cschneemann@suse.de
- initial packaging
